# IBM RSE API Plug-in for Zowe CLI

IBM RSE API Plug-in for Zowe CLI extends Zowe CLI to let you interact with z/OS resources. The RSE plug-in interacts with z/OS by using IBM Remote System Explorer API (RSE API) instead of using z/OSMF. This solution is a great alternative if you have already used the Remote System Explorer with other IBM offerings such as IBM Developer for z/OS or IBM Explorer for z/OS. It is also a good option if you have not configured z/OSMF on your z/OS.

The RSE API support provided with the RSE API Zowe CLI plugin and IBM Z Open Editor not only allows you to execute Zowe CLI command line operations, but to also use the protocol with the Zowe Explorer VS Code extension to graphically navigate and access file and job resources. You can also mix and match z/OSMF and RSE CLI API profiles and use CLI commands and Zowe Explorer views with the different profiles at the same time. For example, you can access one LPAR with z/OSMF and another with RSE API from within the same VS Code workspace using Zowe Explorer and IBM Z Open Editor. Z Open Editor capabilities such as COBOL Copybook or PL/I Include file resolving can be utilized with either of the two protocols as well.

Amongst others, you can use the RSE API plug-in to perform the following tasks:

- List, create, rename, delete USS files and directories and MVS data sets and members
- Run JCL
- Browse job spool files
- Edit COBOL and PL/I files on z/OS by using the VS Code extensions of IBM Z Open Editor and Zowe Explorer

See <https://ibm.github.io/zopeneditor-about> and <https://ibm.github.io/zopeneditor-about/Docs/setup_integration.html> for more details and installation instructions. See here for a [Changelog](https://marketplace.visualstudio.com/items/IBM.zopeneditor/changelog).
