/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/**
 * Constants for various job related info
 * @export
 * @class JobsConstants
 */
export declare class CommonPropsConstants {
    /**
     * Binary common properties value type
     * @type {string}
     */
    static readonly BOOLEAN_TYPE: string;
    /**
     * JSON common properties value type
     * @type {string}
     */
    static readonly JSON_TYPE: string;
    /**
     * Number common properties value type
     * @type {string}
     */
    static readonly NUMBER_TYPE: string;
    /**
     * String common properties value type
     * @type {string}
     */
    static readonly STRING_TYPE: string;
}
