/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
export interface IAuthorizationToken {
    /**
     * authorization token value returned
     */
    authorization: string;
    /**
     * Current date/time on the server
     */
    date: string;
    /**
     * Date/time that the JWT will expire
     */
    ['token-expiration-time']: string;
    /**
     * password expiry value returned
     */
    passwordExpiry?: string;
}
