/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/**
 * Interface representing API response from REST's REST interface, extyracted from JSON
 */
export interface IRestApiResponse {
    /**
     * indicates if the command ran successfully.
     * @type {boolean}
     */
    success: boolean;
    /**
     * The command response text.
     * @type{string}
     */
    commandResponse: string;
    /**
     * The api response object.
     * @type{*}
     */
    apiResponse?: any;
}
