/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/**
 * Interface for cancel job RSE API
 * @export
 * @interface ICancelJobParms
 */
export interface ICancelJobParms {
    /**
     * job id for the job you want to cancel
     * @type {string}
     * @memberof ICancelJobParms
     */
    jobId: string;
    /**
     * job name for the job you want to cancel
     * @type {string}
     * @memberof ICancelJobParms
     */
    jobName: string;
    /**
     * version of the cancel request
     * @type {string}
     * @memberof ICancelJobParms
     */
    version?: string;
}
