/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import * as zowe from '@zowe/cli';
/**
 * Extension of standard job response document
 * Represents the new attributes of a z/OS batch job
 * @export
 * @interface IJobExt
 */
export interface IJobExt extends zowe.IJob {
    /**
     * execution system
     * @type {string}
     * @memberof IJob
     */
    execsystem?: string;
    /**
     * execution member
     * @type {string}
     * @memberof IJob
     */
    execmember?: string;
    /**
     * system entry time stamp
     * @type {string}
     * @memberof IJob
     */
    systementrydatetime?: string;
    /**
     * system output class
     * @type {string}
     * @memberof IJob
     */
    sysoutclass?: string;
    /**
     * output node
     * @type {string}
     * @memberof IJob
     */
    outputnode?: string;
    /**
     * execute node
     * @type {string}
     * @memberof IJob
     */
    execnode?: string;
    /**
     * device name
     * @type {string}
     * @memberof IJob
     */
    device?: string;
    /**
     * priority
     * @type {string}
     * @memberof IJob
     */
    priority?: string;
    /**
     * job key
     * @type {string}
     * @memberof IJob
     */
    jobkey?: string;
    /**
     * data token
     * @type {string}
     * @memberof IJob
     */
    datatoken?: string;
    /**
     * spool tracks
     * @type {string}
     * @memberof IJob
     */
    spooltracks?: string;
    /**
     * security label
     * @type {string}
     * @memberof IJob
     */
    seclabel?: string;
    /**
     * flag bytes
     * @type {string}
     * @memberof IJob
     */
    flagbyte?: string;
    /**
     * programmer
     * @type {string}
     * @memberof IJob
     */
    programmer?: string;
    /**
     * job position
     * @type {string}
     * @memberof IJob
     */
    position?: string;
    /**
     * address space id
     * @type {string}
     * @memberof IJob
     */
    asid?: string;
}
