/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { imperative } from '@zowe/cli';
import { ITokenInfo } from '../../../doc/ITokenInfo';
export declare class AuthLogin {
    static getToken(session: imperative.Session, profileName: string, profile: imperative.IProfile, autoRefreshToken?: boolean): Promise<imperative.Session>;
    static refreshToken(session: imperative.Session, profileName: string, profile: imperative.IProfile, autoRefreshToken?: boolean): Promise<imperative.Session>;
    private static prepareAutoTokenRefresh;
    static validateToken(session: imperative.Session, tokenHeader?: {}): Promise<ITokenInfo>;
    /**
     * Used by CLI side to check stored and entered credentials from command and prompt
     * for user/pass if missing for token auth call
     * @param session imperative Session
     * @param commandParameters imperative IHandlerParameters
     * @returns imperative Session
     */
    static checkAuthCreds(session: imperative.Session, commandParameters: imperative.IHandlerParameters): Promise<imperative.Session>;
    static promptUserPass(session: imperative.Session): Promise<imperative.Session>;
    private static updateProfileWithTokenExpiration;
}
