/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,o,t,n){return new(t||(t=Promise))((function(s,i){function r(e){try{c(n.next(e))}catch(e){i(e)}}function a(e){try{c(n.throw(e))}catch(e){i(e)}}function c(e){var o;e.done?s(e.value):(o=e.value,o instanceof t?o:new t((function(e){e(o)}))).then(r,a)}c((n=n.apply(e,o||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.CancelJobs=void 0;const imperative_1=require("@zowe/imperative"),path_1=require("path"),constants_1=require("../../constants"),rest_1=require("../../rest"),CoreUtils_1=require("../../utils/CoreUtils");class CancelJobs{static cancelJob(e,o,t,n){return __awaiter(this,void 0,void 0,(function*(){return this.log.trace("cancelJob called with jobname %s jobid %s",o,t),yield this.cancelJobCommon(e,{jobname:o,jobid:t})}))}static cancelJobForJob(e,o,t){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("cancelJobForJob called with job %s",JSON.stringify(o));return{success:!0,commandResponse:null,apiResponse:yield this.cancelJobCommon(e,{jobname:o.jobname,jobid:o.jobid,version:t})}}))}static cancelJobCommon(e,o){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("cancelJobCommon called with parms %s",JSON.stringify(o)),imperative_1.ImperativeExpect.keysToBeDefinedAndNonBlank(o,["jobname","jobid"],"You must specify jobname and jobid for the job you want to cancel."),null==o.version&&(o.version=constants_1.JobsConstants.DEFAULT_CANCEL_VERSION),this.log.debug("Canceling job %s(%s). Job modify version?: %s",o.jobname,o.jobid,o.version);const t={request:constants_1.JobsConstants.REQUEST_CANCEL},n=(0,CoreUtils_1.setHeaders)(e);try{const s=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.JobsConstants.RESOURCE,(0,CoreUtils_1.rsePathEncode)(o.jobname),o.jobid));this.log.debug(`Endpoint: ${s}`),yield rest_1.RseRestClient.putExpectJSON(e,s,n,t)}catch(e){const o=e;this.log.error(o.additionalDetails);const t=JSON.parse(o.causeErrors).message,n="Error message:";throw new Error(`\nError Code: ${o.errorCode}\n${t.slice(t.indexOf(n)+n.length).trim()}\n`)}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.CancelJobs=CancelJobs;