/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { imperative } from '@zowe/cli';
import { IRestApiResponse } from '../../doc/IRestApiResponse';
import { IChangePassword } from './doc/IChangePassword';
export declare class ChangeProperties {
    static changeTag(session: imperative.Session, ussPath: string, properties: {
        tag?: string;
    }): Promise<IRestApiResponse>;
    /**
     * Get z/OSMF information
     * @param {AbstractSession} session RSE API connection info.
     * @returns {promise<IZosmfInfoResponse>} A response contains information from API call.
     * @throws {ImperativeError} session must not be null or undefined. Any error threw by
     *                           the REST API call.
     */
    static changeProperties(session: imperative.Session, ussPath: string, properties: {
        owner?: string;
        group?: string;
        permissions?: string;
        tag?: string;
    }): Promise<IRestApiResponse>;
}
export declare class ChangePassword {
    /**
     * Get z/OSMF information
     * @param {AbstractSession} session RSE API connection info.
     * @returns {promise<IZosmfInfoResponse>} A response contains information from API call.
     * @throws {ImperativeError} session must not be null or undefined. Any error threw by
     *                           the REST API call.
     */
    static setNewPassword(session: imperative.Session, profile: imperative.IProfile, newPassword: string, profileName: string): Promise<IRestApiResponse>;
    static promptsChangePassword(session: imperative.Session, commandParameters: imperative.IHandlerParameters): Promise<IChangePassword>;
}
