/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session } from '@zowe/imperative';
import { IRestApiResponse } from '../../doc';
export declare class CheckMappings {
    static getMappingFile(session: Session, force: boolean): Promise<IRestApiResponse>;
    static mappingFileExist(fileName?: string, filePath?: string): boolean;
    static getMappingEncoding(dataSetName: string, mappingsFile?: string): Promise<string | undefined>;
    static getDlExtensionFromMappings(dataSetName: string, mappingsFile?: string): Promise<string>;
    static compareMappingsFile(session: Session): Promise<number>;
    static encodingPrecedence(profileEncoding: string, optionsEncoding: string, dataSetName: string, mappingsFile?: string): Promise<string | undefined>;
    static getDefaultMappingsPath(fileName?: string): string;
    static getSpecifiedMappingsPath(mappingsFile: string): string;
    private static doesInclude;
    private static checkFilterPattern;
    private static separateDataSetName;
    private static addSequentialNumberToName;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
