/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session } from '@zowe/imperative';
import { IRestApiResponse } from '../../doc/IRestApiResponse';
/**
 * This class holds helper functions that are to create common properites namespace namespace through the
 * RSE APIs.
 */
export declare class CommonProperties {
    static copyNamespace(session: Session, fromNamespaceName: string, toNamespaceName: string, isPrivateNamespace?: boolean): Promise<IRestApiResponse>;
    static createNamespace(session: Session, namespaceName: string, isPrivateNamespace?: boolean): Promise<IRestApiResponse>;
    static delete(session: Session, namespaceName: string, propertyPath?: string, isPrivateNamespace?: boolean): Promise<IRestApiResponse>;
    static listAllNamespaces(session: Session, isPrivateNamespace?: boolean): Promise<IRestApiResponse>;
    static renameNamespace(session: Session, beforeNamespaceName: string, afterNamespaceName: string, isPrivateNamespace?: boolean): Promise<IRestApiResponse>;
    static setNamespaceProperty(session: Session, namespaceName: string, propertyPath: string, propertyValue: string, propertyType?: string, isPrivateNamespace?: boolean): Promise<IRestApiResponse>;
    static getNamespaceProperty(session: Session, namespaceName: string, propertyPath?: string, isPrivateNamespace?: boolean): Promise<IRestApiResponse>;
    private static validateNamespaceName;
    private static validatePropertyPath;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
