/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session } from '@zowe/imperative';
import { IRestApiResponse } from '../../doc';
import { SearchUssOptions } from '../../types/SearchUssOptions';
/**
 * Class to handle searching
 */
export declare class Search {
    /**
     * Search a unix system services filepath by file name or content
     *
     * If options.text is undefined, the response will be reduced to only paths since there will be nothing to match
     * @param {Session} session The session to use for the api call
     * @param {string} ussPath The path to search from
     * @param {string} fileName The name of the file to search, default is "*"
     * @param {SearchUssOptions} options the options to pass to the call, e.g: file content, case sensitive, etc...
     */
    static uss(session: Session, ussPath: string, fileName?: string, options?: SearchUssOptions): Promise<IRestApiResponse>;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
