/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { imperative } from '@zowe/cli';
import { IDownloadRseOptions } from '../download/doc';
import { IUploadRseOptions } from '../upload/doc/IUploadRseOptions';
import { StreamResponse } from './doc/StreamResponse';
export declare class StreamContent {
    private static clientResponse;
    protected static totalBytes: number;
    protected static request: imperative.HTTP_VERB;
    private static clientRequest;
    private static requestError;
    static streamDownload(session: imperative.Session, endpoint: string, destination: string, reqHeaders: any[], options: Partial<IDownloadRseOptions>): Promise<StreamResponse>;
    static streamUpload(session: imperative.Session, endpoint: string, filePath: string, reqHeaders: any[], options: IUploadRseOptions): Promise<StreamResponse>;
    private static prepareError;
    private static runTask;
    private static completeTask;
    private static get requestSuccess();
    private static get responseValues();
}
