/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import * as imperative from '@zowe/imperative';
export declare class ProfileUtils {
    static workingDir: string;
    static getCmdArgs(profile: imperative.IProfile): imperative.ICommandArguments;
    static setWorkingDir(dir: string): void;
    static checkProfileToken(session: imperative.Session, params: imperative.IHandlerParameters, profile: imperative.IProfile): Promise<imperative.Session>;
    static isBaseUsed(profile: imperative.IProfileLoaded): boolean;
    static updateYaml(profileName: string, updateInfo: imperative.IProfile): Promise<void>;
    static updateProfileFilePassword(profName: string, profile: imperative.IProfile): Promise<void>;
    static getDefaultRseProfile(): Promise<imperative.IProfileLoaded>;
    static getProfileName(commandParameters: imperative.IHandlerParameters): Promise<string>;
    static getProfileMeta(): Promise<imperative.ICommandProfileTypeConfiguration[]>;
    static getProfileInfo(): Promise<imperative.ProfileInfo>;
    static getConfigLocation(): string;
    private static getConfigWorkingDir;
}
