/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/**
 * The possible job status strings (as specified by the RSE API documentation). Used in the Jobs APIs for monitoring
 * jobstatus, etc.
 * @type JOB_STATUS (string)
 */
export type JOB_STATUS = 'ACTIVE' | 'OUTPUT' | 'INPUT' | 'COMPLETION' | 'COMPLETED';
export declare const JOB_STATUS: {
    ACTIVE: JOB_STATUS;
    OUTPUT: JOB_STATUS;
    INPUT: JOB_STATUS;
    COMPLETION: JOB_STATUS;
    COMPLETED: JOB_STATUS;
};
export declare const JOB_STATUS_ORDER: JOB_STATUS[];
