/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
export type SearchUssOptions = {
    /**
     * The text pattern to be searched for in the provided file. Example: hello
     */
    text?: string;
    /**
     * Regex for filename. If Regex pattern is not used, wildcard patterns are used.
     * @default false
     */
    regexFileName?: boolean;
    /**
     * Regex for content. If Regex pattern is not used, wildcard patterns are used.
     * @default false
     */
    regexContent?: boolean;
    /**
     * Case-sensitive for filename
     * @default false
     */
    caseSensitiveFileName?: boolean;
    /**
     * Case-sensitive for content
     * @default false
     */
    caseSensitiveContent?: boolean;
    /**
     * Whether to return path results only or the entire response
     * @default false
     */
    pathResultsOnly?: boolean;
};
