/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.ZosFilesCreateOptions=exports.ZosFilesCreateExtraOptions=void 0,exports.ZosFilesCreateExtraOptions={flatFile:{name:"flat-file",aliases:["ff"],description:"Indicates that you want to create the data set as a physical sequential file (flat file). A physical sequential file differs from a partitioned data set (PDS) because it cannot contain members, only file contents.",type:"boolean"},showAttributes:{name:"show-attributes",aliases:["a","pa"],description:"Show the full allocation attributes",type:"boolean"},size:{name:"size",aliases:["sz"],description:"The size of the data set (specified as nCYL or nTRK - where n is the number of cylinders or tracks). Sets the primary allocation (the secondary allocation becomes ~10% of the primary).",type:"string"},like:{name:"like",aliases:["lk"],description:"Name of an existing data set to base your new data set's properties on",type:"string"}},exports.ZosFilesCreateOptions={volumeSerial:{name:"volume-serial",aliases:["vs"],description:"The volume serial (VOLSER) on which you want the data set to be placed. A VOLSER is analogous to a drive name on a PC.",type:"string"},unit:{name:"device-type",aliases:["dt"],description:"The device type, also known as 'unit'",type:"string"},dataSetOrganization:{name:"data-set-organization",aliases:["dso"],description:"The data set organization",type:"string"},allocationUnit:{name:"allocation-unit",aliases:["au"],description:"The allocation unit (for example, CYL for Cylinders)",type:"string"},primary:{name:"primary-space",aliases:["ps"],description:"The primary space allocation (for example, 5)",type:"number"},secondary:{name:"secondary-space",aliases:["ss"],description:"The secondary space allocation (for example, 1)",type:"number"},directoryBlocks:{name:"directory-blocks",aliases:["db","dirblks"],description:"The number of directory blocks (for example, 25)",type:"number"},averageBlock:{name:"average-blocks",aliases:["ab"],description:"The number of average blocks (for example, 25)",type:"number"},recordFormat:{name:"record-format",aliases:["rf","recfm"],description:'The record format for the data set (for example, FB for "Fixed Block")',type:"string"},blockSize:{name:"block-size",aliases:["bs","blksize"],description:"The block size for the data set (for example, 6160)",type:"number"},recordLength:{name:"record-length",aliases:["rl","lrecl"],description:"The logical record length. Analogous to the length of a line (for example, 80)",type:"number"},dsnType:{name:"data-set-type",aliases:["dst","dsntype"],description:"The data set type",type:"string"}};