/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(o,n){function r(e){try{l(i.next(e))}catch(e){n(e)}}function a(e){try{l(i.throw(e))}catch(e){n(e)}}function l(e){var s;e.done?o(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,a)}l((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.AuthLogin=void 0;const cli_1=require("@zowe/cli"),constants_1=require("../../../constants"),rest_1=require("../../../rest"),utils_1=require("../../../utils"),ZosApi_messages_1=require("../../../constants/ZosApi.messages"),ProfileUtils_1=require("../../../profiles/ProfileUtils"),utilities_1=require("../../utilities"),ZoweExplorerRseApi_1=require("../../../profiles/ZoweExplorerRseApi");class AuthLogin{static getToken(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){utilities_1.Utilities.log.trace("getToken for profile %s",s),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message);try{const o=(0,utils_1.endpointBuilder)(e,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHLOGIN}`),n={userid:e.ISession.user,password:e.ISession.password};utilities_1.Utilities.log.debug(`Endpoint: ${o}`);const r=yield rest_1.RseRestClient.postExpectAuthToken(e,o,n,[]);e.ISession.tokenValue=r.authorization;const a=r["token-expiration-time"];if(null!==e.ISession.tokenValue){if(e.ISession.type="token",e.ISession.tokenType="jwtToken",t.tokenType=e.ISession.tokenType,t.tokenValue=e.ISession.tokenValue,e.ISession.user=t.user,e.ISession.password=t.password,a){const o=new Date(r.date).getTime();if(t.tokenExpiration=new Date(a).getTime(),!0===i){utilities_1.Utilities.log.debug("getToken calling prepareAutoTokenRefresh (pf: %s)",s);const i=this.prepareAutoTokenRefresh(e,s,t,o);ZoweExplorerRseApi_1.RseTokenAutoRefreshTimer.putAutoRefreshTimer(s,i)}}yield this.updateProfileWithTokenExpiration(s,t)}return e}catch(e){throw utilities_1.Utilities.log.error(String(e)),e}}))}static refreshToken(e,s,t,i){return __awaiter(this,void 0,void 0,(function*(){let o;utilities_1.Utilities.log.trace("refreshToken for profile %s",s),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message);const n=(0,utils_1.endpointBuilder)(e,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHREFRESH}`);try{utilities_1.Utilities.log.debug(`refreshToken Endpoint: ${n}`);const r=(0,utils_1.checkForToken)(e);if(void 0===r)throw utilities_1.Utilities.log.error(ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message),new cli_1.imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message});o=[r];const a=yield rest_1.RseRestClient.postExpectNewAuthToken(e,n,o);e.ISession.tokenValue=a.authorization;const l=a["token-expiration-time"];if(null!==e.ISession.tokenValue){e.ISession.type="token",e.ISession.tokenType="jwtToken",t.tokenType=e.ISession.tokenType,t.tokenValue=e.ISession.tokenValue,t.tokenExpiration=new Date(l).getTime();const o=new Date(a.date).getTime();if(!0===i){utilities_1.Utilities.log.debug("refreshToken calling prepareAutoTokenRefresh (pf: %s)",s);const i=this.prepareAutoTokenRefresh(e,s,t,o);ZoweExplorerRseApi_1.RseTokenAutoRefreshTimer.putAutoRefreshTimer(s,i)}yield this.updateProfileWithTokenExpiration(s,t)}return e}catch(e){throw utilities_1.Utilities.log.error(e.toString()),e}}))}static prepareAutoTokenRefresh(e,s,t,i){const o=t.tokenExpiration-i;let n=o-48e4;o<12e4?n=0:o<48e4&&(n=o/2),utilities_1.Utilities.log.debug("prepareAutoTokenRefresh setTimeout (%d from /%d ms)",n,o);return setTimeout((()=>{utilities_1.Utilities.log.trace("JWT token is nearing expiration");this.refreshToken(e,s,t,!0)}),n)}static validateToken(e,s){return __awaiter(this,void 0,void 0,(function*(){let t;utilities_1.Utilities.log.trace("Validating token authentication information."),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message);const i=(0,utils_1.endpointBuilder)(e,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHQUERY}`);if(utilities_1.Utilities.log.debug(`Endpoint: ${i}`),!e.ISession.tokenValue)throw new cli_1.imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message});try{void 0===s&&(s=(0,utils_1.checkForToken)(e)),t=void 0!==s?[s]:[];return yield rest_1.RseRestClient.getExpectJSON(e,i,t)}catch(s){throw void 0===e.ISession.tokenValue?(utilities_1.Utilities.log.error(ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message),new cli_1.imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenNotFound.message})):(utilities_1.Utilities.log.error(ZosApi_messages_1.ZosApiMessages.jwtTokenExpired.message),new cli_1.imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.jwtTokenExpired.message}))}}))}static checkAuthCreds(e,s){return __awaiter(this,void 0,void 0,(function*(){let t=e;return""!==e.ISession.user&&void 0!==e.ISession.user||(t.ISession.user=s.arguments.user),""!==e.ISession.password&&void 0!==e.ISession.password||(t.ISession.password=s.arguments.pass),t.ISession.user&&t.ISession.password||(t=yield AuthLogin.promptUserPass(e)),t}))}static promptUserPass(e){return __awaiter(this,void 0,void 0,(function*(){if(!e.ISession.user){let s;for(;!s;)if(s=yield cli_1.imperative.CliUtils.readPrompt("Enter user name: ",{secToWait:10}),null===s)throw new cli_1.imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.informationNeeded.message});e.ISession.user=s}if(!e.ISession.password){let s;for(;!s;)if(s=yield cli_1.imperative.CliUtils.readPrompt("Enter password : ",{secToWait:10,hideText:!0,maskChar:"*"}),null===s)throw new cli_1.imperative.ImperativeError({msg:ZosApi_messages_1.ZosApiMessages.informationNeeded.message});e.ISession.password=s}return e}))}static updateProfileWithTokenExpiration(e,s){return __awaiter(this,void 0,void 0,(function*(){const t=yield ProfileUtils_1.ProfileUtils.getProfileInfo();if(t.usingTeamConfig){const i=t.getTeamConfig(),o=i.api.profiles.getProfilePathFromName(e),n=t.isSecured();if(i.set(`${o}.properties.tokenType`,s.tokenType,{parseString:!0}),i.set(`${o}.properties.tokenValue`,s.tokenValue,{parseString:!0,secure:n}),s.tokenExpiration){const e=new Date(s.tokenExpiration).toLocaleString();i.set(`${o}.properties.tokenExpiration`,e,{parseString:!0})}return i.save()}return ProfileUtils_1.ProfileUtils.updateYaml(e,s)}))}}exports.AuthLogin=AuthLogin;