/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,o,r){void 0===r&&(r=o);var i=Object.getOwnPropertyDescriptor(t,o);i&&!("get"in i?!t.__esModule:i.writable||i.configurable)||(i={enumerable:!0,get:function(){return t[o]}}),Object.defineProperty(e,r,i)}:function(e,t,o,r){void 0===r&&(r=o),e[r]=t[o]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var o in e)"default"!==o&&Object.prototype.hasOwnProperty.call(e,o)&&__createBinding(t,e,o);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,o,r){return new(o||(o=Promise))((function(i,s){function n(e){try{l(r.next(e))}catch(e){s(e)}}function a(e){try{l(r.throw(e))}catch(e){s(e)}}function l(e){var t;e.done?i(e.value):(t=e.value,t instanceof o?t:new o((function(e){e(t)}))).then(n,a)}l((r=r.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.AuthLogout=void 0;const constants_1=require("../../../constants"),imperative=__importStar(require("@zowe/imperative")),rest_1=require("../../../rest"),CoreUtils_1=require("../../../utils/CoreUtils"),ProfileUtils_1=require("../../../profiles/ProfileUtils"),ZoweExplorerRseApi_1=require("../../../profiles/ZoweExplorerRseApi");class AuthLogout{static expireToken(e,t,o){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("AuthLogout.expireToken called."),imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message);let r=[];const i=(0,CoreUtils_1.endpointBuilder)(e,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHLOGOUT}`);this.log.debug(`Endpoint: ${i}`);try{const s=(0,CoreUtils_1.checkForToken)(e);if(void 0===s)throw new imperative.ImperativeError({msg:constants_1.ZosApiMessages.jwtTokenNotFound.message});r=[s];let n=null;try{n=yield rest_1.RseRestClient.postExpectJSON(e,i,r)}catch(e){const t=e;this.log.error(t.toString())}return null===n&&(e.ISession.type="basic",e.ISession.tokenType=void 0,e.ISession.tokenValue=void 0,o.tokenType=e.ISession.tokenType,o.tokenValue=e.ISession.tokenValue,o.tokenExpiration=void 0),ZoweExplorerRseApi_1.RseTokenAutoRefreshTimer.removeAutoRefreshTimerFor(t),void(yield this.updateProfileFile(t,o))}catch(t){if(void 0===e.ISession.tokenValue)throw this.log.error(constants_1.ZosApiMessages.jwtTokenNotFound.message),new imperative.ImperativeError({msg:constants_1.ZosApiMessages.jwtTokenNotFound.message});{const e=t;throw this.log.error(e.toString()),t}}}))}static updateProfileFile(e,t){return __awaiter(this,void 0,void 0,(function*(){const o=yield ProfileUtils_1.ProfileUtils.getProfileInfo();if(o.usingTeamConfig){const t=o.isSecured(),r=o.getAllProfiles("rse").find((t=>t.profName===e)),i=o.mergeArgsForProfile(r);yield o.updateKnownProperty({mergedArgs:i,property:"tokenValue",value:void 0,setSecure:t}),yield o.updateKnownProperty({mergedArgs:i,property:"tokenExpiration",value:void 0}),yield o.updateKnownProperty({mergedArgs:i,property:"tokenType",value:void 0})}else yield ProfileUtils_1.ProfileUtils.updateYaml(e,t)}))}static get log(){return imperative.Logger.getAppLogger()}}exports.AuthLogout=AuthLogout;