/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,i,t){return new(i||(i=Promise))((function(r,o){function n(e){try{l(t.next(e))}catch(e){o(e)}}function a(e){try{l(t.throw(e))}catch(e){o(e)}}function l(e){var s;e.done?r(e.value):(s=e.value,s instanceof i?s:new i((function(e){e(s)}))).then(n,a)}l((t=t.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ChangePassword=exports.ChangeProperties=void 0;const cli_1=require("@zowe/cli"),constants_1=require("../../constants"),rest_1=require("../../rest"),CoreUtils_1=require("../../utils/CoreUtils"),ProfileUtils_1=require("../../profiles/ProfileUtils"),Utilities_1=require("../utilities/Utilities"),list_1=require("../list"),get_1=require("../get");class ChangeProperties{static changeTag(e,s,i){return __awaiter(this,void 0,void 0,(function*(){if(Utilities_1.Utilities.log.trace("ChangeProperties.changeProperties called"),yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosApiMessages.missingProperty.message),!i.tag)throw new cli_1.imperative.ImperativeError({msg:constants_1.ZosApiMessages.missingTagProperty.message});const t=(0,CoreUtils_1.rsePathEncode)(s),r=(0,CoreUtils_1.endpointBuilder)(e,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.USS_FILES}${t}/markEncoding`);Utilities_1.Utilities.log.debug(`Endpoint: ${r}`);const o={encoding:i.tag};try{const s=(0,CoreUtils_1.setHeaders)(e);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.putExpectJSON(e,r,s,o)}}catch(e){throw Utilities_1.Utilities.log.error(e.message),new cli_1.imperative.ImperativeError({msg:e.message})}}))}static changeProperties(e,s,i){return __awaiter(this,void 0,void 0,(function*(){if(Utilities_1.Utilities.log.trace("ChangeProperties.changeProperties called"),yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosApiMessages.missingProperty.message),!(i.owner||i.group||i.permissions||i.tag))throw new cli_1.imperative.ImperativeError({msg:constants_1.ZosApiMessages.missingPropertyParameters.message});const t=yield get_1.Get.getFileTag(e,s);yield this.changeTag(e,s,{tag:i.tag||t.apiResponse.encoding});const r=(0,CoreUtils_1.rsePathEncode)(s),o=(0,CoreUtils_1.endpointBuilder)(e,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.USS_FILES}${r}/changePermissions`);Utilities_1.Utilities.log.debug(`Endpoint: ${o}`);const n=yield list_1.List.fileList(e,s),a={owner:i.owner||n.apiResponse.fileOwner,group:i.group||n.apiResponse.group,permissions:i.permissions||n.apiResponse.permissionsSymbolic};try{const s=(0,CoreUtils_1.setHeaders)(e);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.putExpectJSON(e,o,s,a)}}catch(e){throw Utilities_1.Utilities.log.error(e.message),new cli_1.imperative.ImperativeError({msg:e.message})}}))}}exports.ChangeProperties=ChangeProperties;class ChangePassword{static setNewPassword(e,s,i,t){return __awaiter(this,void 0,void 0,(function*(){Utilities_1.Utilities.log.trace("ChangePassword.setNewPassword called"),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(i,constants_1.ZosApiMessages.missingNewPassword.message),cli_1.imperative.ImperativeExpect.toNotBeEqual(i,"",constants_1.ZosApiMessages.missingNewPassword.message),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(e.ISession.password,constants_1.ZosApiMessages.missingCurrentPassword.message),yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V102);if(0===e.ISession.password.localeCompare(i))throw Utilities_1.Utilities.log.error(constants_1.ZosApiMessages.identicalPasswordValues.message),new cli_1.imperative.ImperativeError({msg:constants_1.ZosApiMessages.identicalPasswordValues.message});try{yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V109)}catch(e){if(i.length>8)throw Utilities_1.Utilities.log.error(constants_1.ZosApiMessages.passwordLength.message),new cli_1.imperative.ImperativeError({msg:constants_1.ZosApiMessages.passwordLength.message})}const r=(0,CoreUtils_1.endpointBuilder)(e,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHLOGIN}`);Utilities_1.Utilities.log.debug(`Endpoint: ${r}`);const o={userid:e.ISession.user,password:e.ISession.password,newpassword:i};try{const n=yield rest_1.RseRestClient.postExpectJSON(e,r,[],o);return s.password&&null===n&&(s.password=i,yield ProfileUtils_1.ProfileUtils.updateProfileFilePassword(t,s)),{success:!0,commandResponse:null,apiResponse:n}}catch(e){throw Utilities_1.Utilities.log.error(e.message),new cli_1.imperative.ImperativeError({msg:e.message})}}))}static promptsChangePassword(e,s){return __awaiter(this,void 0,void 0,(function*(){let i="";if(e.ISession.user)i=e.ISession.user;else for(;""===i;)if(i=yield cli_1.imperative.CliUtils.readPrompt("Enter user name: "),null===i)throw new cli_1.imperative.ImperativeError({msg:"Timed out waiting for user name."});let t="";if(s.arguments.currentPassword){if(t=s.arguments.currentPassword,e.ISession.password){if(0!==t.localeCompare(e.ISession.password))throw Utilities_1.Utilities.log.error(constants_1.ZosApiMessages.currentPasswordValues.message),new cli_1.imperative.ImperativeError({msg:constants_1.ZosApiMessages.currentPasswordValues.message})}}else for(;""===t;)if(t=yield cli_1.imperative.CliUtils.readPrompt("Enter current password : ",{hideText:!0}),null===t)throw new cli_1.imperative.ImperativeError({msg:"Timed out waiting for password."});let r="";if(s.arguments.newPassword)r=s.arguments.newPassword;else{for(;""===r;)if(r=yield cli_1.imperative.CliUtils.readPrompt("Enter new password : ",{hideText:!0}),null===r)throw new cli_1.imperative.ImperativeError({msg:"Timed out waiting for new password."});let e="";for(;""===e;)if(e=yield cli_1.imperative.CliUtils.readPrompt("Re-enter new password : ",{hideText:!0}),null===e)throw new cli_1.imperative.ImperativeError({msg:"Timed out waiting for new password."});if(r!==e)throw new cli_1.imperative.ImperativeError({msg:"The new passwords entered do not match."})}return{currentUser:i,currentPassword:t,newPassword:r}}))}}exports.ChangePassword=ChangePassword;