/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,o){return new(t||(t=Promise))((function(n,a){function i(e){try{p(o.next(e))}catch(e){a(e)}}function r(e){try{p(o.throw(e))}catch(e){a(e)}}function p(e){var s;e.done?n(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(i,r)}p((o=o.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.CommonProperties=void 0;const imperative_1=require("@zowe/imperative"),rest_1=require("../../rest"),CoreUtils_1=require("../../utils/CoreUtils"),path_1=require("path"),constants_1=require("../../constants");class CommonProperties{static copyNamespace(e,s,t,o){return __awaiter(this,void 0,void 0,(function*(){this.log.info(`copy common properties namespaces from ${s} to ${t}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.CommonPropsMessages.missingFromNamespaceName.message),this.validateNamespaceName(s),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.CommonPropsMessages.missingToNamespaceName.message),this.validateNamespaceName(t);const n=[];n.push(...(0,CoreUtils_1.setHeaders)(e)),o&&n.push({"Access-Level":"private"});const a=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.COMMONPROPS,s,`copy?newNamespace=${t}`));yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113);try{const s=yield rest_1.RseRestClient.postExpectJSON(e,a,n);return{success:!0,commandResponse:constants_1.CommonPropsMessages.namespaceCopiedSuccessfully.message,apiResponse:s}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static createNamespace(e,s,t){return __awaiter(this,void 0,void 0,(function*(){this.log.info(`Create common properties namespace ${s}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.CommonPropsMessages.missingNamespaceName.message),this.validateNamespaceName(s);const o=[];o.push(...(0,CoreUtils_1.setHeaders)(e)),t&&o.push({"Access-Level":"private"});const n=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.COMMONPROPS,(0,CoreUtils_1.rsePathEncode)(s)));yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113);try{const s=yield rest_1.RseRestClient.postExpectJSON(e,n,o);return{success:!0,commandResponse:constants_1.CommonPropsMessages.namespaceCreatedSuccessfully.message,apiResponse:s}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static delete(e,s,t,o){return __awaiter(this,void 0,void 0,(function*(){this.log.info(`delete namespace ${s} or property at ${t}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.CommonPropsMessages.missingNamespaceName.message),this.validateNamespaceName(s);let n=path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.COMMONPROPS,(0,CoreUtils_1.rsePathEncode)(s));t&&(this.validatePropertyPath(t),n+=`?jsonPath=${encodeURIComponent(t)}`);const a=[];a.push(...(0,CoreUtils_1.setHeaders)(e)),o&&a.push({"Access-Level":"private"});const i=(0,CoreUtils_1.endpointBuilder)(e,n);yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113);try{const s=yield rest_1.RseRestClient.deleteExpectString(e,i,a);return{success:!0,commandResponse:t?constants_1.CommonPropsMessages.propertyDeletedSuccessfully.message:constants_1.CommonPropsMessages.namespaceDeletedSuccessfully.message,apiResponse:s}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static listAllNamespaces(e,s){return __awaiter(this,void 0,void 0,(function*(){this.log.info("list all common properties namespaces");const t=[];t.push(...(0,CoreUtils_1.setHeaders)(e)),s&&t.push({"Access-Level":"private"});const o=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.COMMONPROPS));yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113);try{const s=yield rest_1.RseRestClient.getExpectJSON(e,o,t),n=Object.values(s);return 0===n.length?{success:!0,commandResponse:constants_1.CommonPropsMessages.noNamespacesFound.message,apiResponse:s}:{success:!0,commandResponse:n.join("\n"),apiResponse:s}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static renameNamespace(e,s,t,o){return __awaiter(this,void 0,void 0,(function*(){this.log.info(`rename common properties namespaces from ${s} to ${t}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.CommonPropsMessages.missingBeforeNamespaceName.message),this.validateNamespaceName(s),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.CommonPropsMessages.missingAfterNamespaceName.message),this.validateNamespaceName(t);const n=[];n.push(...(0,CoreUtils_1.setHeaders)(e)),o&&n.push({"Access-Level":"private"});const a=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.COMMONPROPS,s,`rename?newNamespace=${t}`));yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113);try{const s=yield rest_1.RseRestClient.postExpectJSON(e,a,n);return{success:!0,commandResponse:constants_1.CommonPropsMessages.namespaceRenamedSuccessfully.message,apiResponse:s}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static setNamespaceProperty(e,s,t,o,n,a){return __awaiter(this,void 0,void 0,(function*(){this.log.info(`Set common properties: namespace=${s}, propertyPath=${t}, propertyValue=${o}, propertyType=${n}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.CommonPropsMessages.missingNamespaceName.message),this.validateNamespaceName(s),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.CommonPropsMessages.missingPropertyPath.message),this.validatePropertyPath(t),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(o,constants_1.CommonPropsMessages.missingPropertyValue.message);const i=[];i.push(...(0,CoreUtils_1.setHeaders)(e)),a&&i.push({"Access-Level":"private"});const r=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.COMMONPROPS,`${(0,CoreUtils_1.rsePathEncode)(s)}?jsonPath=${encodeURIComponent(t)}`));let p=[];if(n)switch(n){case constants_1.CommonPropsConstants.STRING_TYPE:p[0]=o;break;case constants_1.CommonPropsConstants.BOOLEAN_TYPE:p[0]="true"===o;break;case constants_1.CommonPropsConstants.NUMBER_TYPE:const e=Number(o);imperative_1.ImperativeExpect.toBeEqual(isNaN(e),!1,constants_1.CommonPropsMessages.valueNaN.message),p[0]=e;break;case constants_1.CommonPropsConstants.JSON_TYPE:try{p[0]=JSON.parse(o)}catch(e){throw new imperative_1.ImperativeError({msg:`Expect Error: ${constants_1.CommonPropsMessages.invalidJsonValue.message}`})}break;default:throw new imperative_1.ImperativeError({msg:`Expect Error: ${constants_1.CommonPropsMessages.invalidValueType.message}`})}else p[0]=o;yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113);try{const s=yield rest_1.RseRestClient.putExpectJSON(e,r,i,p);return{success:!0,commandResponse:constants_1.CommonPropsMessages.propertySetSuccessfully.message,apiResponse:s}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static getNamespaceProperty(e,s,t="/",o){return __awaiter(this,void 0,void 0,(function*(){this.log.info(`Get common properties: namespace=${s}, propertyPath=${t}`),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.CommonPropsMessages.missingNamespaceName.message),this.validateNamespaceName(s),this.validatePropertyPath(t);const n=[];n.push(...(0,CoreUtils_1.setHeaders)(e)),o&&n.push({"Access-Level":"private"});const a=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.COMMONPROPS,`${(0,CoreUtils_1.rsePathEncode)(s)}?jsonPath=${encodeURIComponent(t)}`));yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V113);try{const s=yield rest_1.RseRestClient.getExpectJSON(e,a,n);return{success:!0,commandResponse:constants_1.CommonPropsMessages.propertyViewSuccessfully.message,apiResponse:s}}catch(e){const s=e;throw this.log.error(s.toString()),e}}))}static validateNamespaceName(e){imperative_1.ImperativeExpect.toMatchRegExp(e,"^[a-zA-Z0-9_-]+$",`The namespace name '${e}' ${constants_1.CommonPropsMessages.invalidNamespaceName.message}`)}static validatePropertyPath(e){"/"!==e&&imperative_1.ImperativeExpect.toMatchRegExp(e,"^(/[\\[\\]a-zA-Z0-9_-]+)+$",`The path to the property '${e}' ${constants_1.CommonPropsMessages.invalidPropertyPath.message}`)}static get log(){return imperative_1.Logger.getAppLogger()}}exports.CommonProperties=CommonProperties;