/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,i,t){void 0===t&&(t=i);var o=Object.getOwnPropertyDescriptor(s,i);o&&!("get"in o?!s.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return s[i]}}),Object.defineProperty(e,t,o)}:function(e,s,i,t){void 0===t&&(t=i),e[t]=s[i]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var i in e)"default"!==i&&Object.prototype.hasOwnProperty.call(e,i)&&__createBinding(s,e,i);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,i,t){return new(i||(i=Promise))((function(o,n){function a(e){try{l(t.next(e))}catch(e){n(e)}}function r(e){try{l(t.throw(e))}catch(e){n(e)}}function l(e){var s;e.done?o(e.value):(s=e.value,s instanceof i?s:new i((function(e){e(s)}))).then(a,r)}l((t=t.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Download=void 0;const zowe=__importStar(require("@zowe/cli")),path_1=require("path"),util=__importStar(require("util")),ZosFilesUtils_1=require("../../utils/ZosFilesUtils"),List_1=require("../list/List"),GetContent_1=require("./GetContent"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),CoreUtils_1=require("../../utils/CoreUtils"),check_1=require("../check"),constants_1=require("../../constants"),utilities_1=require("../utilities");class Download{static dataSet(e,s,i,t={},o){var n,a;return __awaiter(this,void 0,void 0,(function*(){utilities_1.Utilities.log.trace("Download.dataSet called."),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const r=[];let l;yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V103);const c=yield this.getDsDestination(s,t,o);if(t.binary)utilities_1.Utilities.log.info("Used binary transfer from CLI binary tag."),t.encoding=void 0;else{let e;t.encoding&&(e=t.encoding.toString());const n=yield check_1.CheckMappings.encodingPrecedence(null==i?void 0:i.encoding,e,s,o);n&&"binary"===n?(t.binary=!0,t.encoding=void 0):(t.encoding=n,t.binary=void 0)}try{return l=yield GetContent_1.GetContent.dataSet(e,s,c,t),utilities_1.Utilities.log.info(`Success Downloading data From ${s} To ${c}`),r.push({success:l.success,from:s,to:c,encoding:t.encoding,binary:t.binary}),{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.datasetDownloadedSuccessfully.message,c),apiResponse:{etag:null===(n=null==l?void 0:l.apiResponse)||void 0===n?void 0:n.etag,results:r}}}catch(e){if(null==e?void 0:e.message.includes(constants_1.RseApiMessages.nonExistentMappingFile.message))throw e;return utilities_1.Utilities.log.error(`Failure Downloading data From ${s} To ${c}`),r.push({success:!1,from:s,to:c,error:null!==(a=e.message)&&void 0!==a?a:e}),{success:!1,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.noMembersFound.message,c),apiResponse:{results:r}}}}))}static allMembers(e,s,i,t={},o){var n,a;return __awaiter(this,void 0,void 0,(function*(){utilities_1.Utilities.log.trace("Download.allMembers called."),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(s,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const r=[];let l;yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V101);try{const a=yield List_1.List.allMembers(e,s,{volume:t.volume}),c=a.apiResponse.items;if(0===c.length)return{success:!1,commandResponse:ZosFiles_messages_1.ZosFilesMessages.noMembersFound.message,apiResponse:null==a?void 0:a.commandResponse};const u=t.directory&&ZosFilesUtils_1.ZosFilesUtils.getDirsFromDataSet(s);let p=0;for(const a of c){let d;null!=t.task&&(t.task.statusMessage=`Downloading ${a}`,t.task.percentComplete=Math.floor(zowe.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(p/c.length)),p++),d=t.extension?t.extension:yield check_1.CheckMappings.getDlExtensionFromMappings(`${s}(${a})`.toUpperCase(),o),d||(d=ZosFilesUtils_1.ZosFilesUtils.DEFAULT_FILE_EXTENSION),l=u+zowe.imperative.IO.FILE_DELIM+a.toLowerCase()+zowe.imperative.IO.normalizeExtension(d);const m=yield this.dataSet(e,`${s}(${a})`,i,{encoding:t.encoding,volume:t.volume,binary:t.binary,file:l},o);null===(n=m.apiResponse)||void 0===n||n.results.forEach((e=>{r.push(e)}))}return{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.datasetDownloadedSuccessfully.message,u),apiResponse:{results:r}}}catch(e){if(utilities_1.Utilities.log.error(e),null==e?void 0:e.message.includes(constants_1.RseApiMessages.nonExistentMappingFile.message))throw e;return r.push({success:!1,from:s,to:l,error:null!==(a=e.message)&&void 0!==a?a:e}),{success:!1,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.noMembersFound.message,l),apiResponse:{results:r}}}}))}static ussFile(e,s,i){var t;return __awaiter(this,void 0,void 0,(function*(){if(!s||""===s)throw new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message});try{s=path_1.posix.normalize(s);const o=i.file||path_1.posix.normalize(path_1.posix.basename(s)),n=yield GetContent_1.GetContent.ussFile(e,s,o,i),a={success:!0,from:s,to:o};return{success:!0,commandResponse:util.format(ZosFiles_messages_1.ZosFilesMessages.ussFileDownloadedSuccessfully.message,o),apiResponse:{result:a,etag:null===(t=null==n?void 0:n.apiResponse)||void 0===t?void 0:t.etag}}}catch(e){const s=e;throw utilities_1.Utilities.log.error(String(s)),e}}))}static getDsDestination(e,s,i){return __awaiter(this,void 0,void 0,(function*(){if(s.file)return s.file;let t;return t=s.extension?s.extension:yield check_1.CheckMappings.getDlExtensionFromMappings(e.toUpperCase(),i),t||(t=ZosFilesUtils_1.ZosFilesUtils.DEFAULT_FILE_EXTENSION),ZosFilesUtils_1.ZosFilesUtils.getDirsFromDataSet(e)+zowe.imperative.IO.normalizeExtension(t)}))}static writeToFile(e,s,i){var t;if(zowe.imperative.IO.createDirsSyncFromFilePath(e),i&&s.apiResponse.length>0)return zowe.imperative.IO.writeFile(e,s.apiResponse);if(s.apiResponse.data.byteLength>0){s.apiResponse.data=Buffer.from(zowe.imperative.IO.processNewlines(s.apiResponse.data.toString()));const i=JSON.parse(s.apiResponse.data),o=null!==(t=null==i?void 0:i.records)&&void 0!==t?t:null==i?void 0:i.content;zowe.imperative.IO.writeFile(e,Buffer.from(o))}}}exports.Download=Download;