/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(t,e,s,i){void 0===i&&(i=s);var n=Object.getOwnPropertyDescriptor(e,s);n&&!("get"in n?!e.__esModule:n.writable||n.configurable)||(n={enumerable:!0,get:function(){return e[s]}}),Object.defineProperty(t,i,n)}:function(t,e,s,i){void 0===i&&(i=s),t[i]=e[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(t,e){Object.defineProperty(t,"default",{enumerable:!0,value:e})}:function(t,e){t.default=e}),__importStar=this&&this.__importStar||function(t){if(t&&t.__esModule)return t;var e={};if(null!=t)for(var s in t)"default"!==s&&Object.prototype.hasOwnProperty.call(t,s)&&__createBinding(e,t,s);return __setModuleDefault(e,t),e},__awaiter=this&&this.__awaiter||function(t,e,s,i){return new(s||(s=Promise))((function(n,o){function a(t){try{l(i.next(t))}catch(t){o(t)}}function r(t){try{l(i.throw(t))}catch(t){o(t)}}function l(t){var e;t.done?n(t.value):(e=t.value,e instanceof s?e:new s((function(t){t(e)}))).then(a,r)}l((i=i.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.GetContent=void 0;const fs=__importStar(require("fs")),path_1=require("path"),rest_1=require("../../rest"),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),JobsConstants_1=require("../../constants/JobsConstants"),RseHeaders_1=require("../../doc/RseHeaders"),CoreUtils_1=require("../../utils/CoreUtils"),Utilities_1=require("../utilities/Utilities"),utilities_1=require("../utilities"),constants_1=require("../../constants"),HeadApis_1=require("../head/HeadApis");class GetContent{static ussFile(t,e,s,i){var n;return __awaiter(this,void 0,void 0,(function*(){const o=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES,(0,CoreUtils_1.rsePathEncode)(e),ZosRestApi_constants_1.ZosRestApiConstants.RAWCONTENT));Utilities_1.Utilities.log.debug(`Endpoint: ${o}`);const a=RseHeaders_1.RseHeaders.setUnixFileHeaders(t,i,!0),r=yield utilities_1.StreamContent.streamDownload(t,o,s,a,i);if(!r.etag){const s=yield HeadApis_1.HeadApis.unixFileHeader(t,e);r.etag=null===(n=s.apiResponse)||void 0===n?void 0:n.etag}return{success:!0,commandResponse:null,apiResponse:r}}))}static dataSet(t,e,s,i={}){var n;return __awaiter(this,void 0,void 0,(function*(){let o=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS));i.volume&&(o=path_1.posix.join(o,`-(${i.volume})`)),o=path_1.posix.join(o,(0,CoreUtils_1.rsePathEncode)(e),ZosRestApi_constants_1.ZosRestApiConstants.RAWCONTENT),Utilities_1.Utilities.log.debug(`Endpoint: ${o}`);const a=RseHeaders_1.RseHeaders.setMvsHeaders(t,i,!0),r=yield utilities_1.StreamContent.streamDownload(t,o,s,a,i);if(!r.etag){const s=yield HeadApis_1.HeadApis.mvsFileHeaders(t,e,i);r.etag=null===(n=s.apiResponse)||void 0===n?void 0:n.etag}return{success:!0,commandResponse:null,apiResponse:r}}))}static jobOutput(t,e,s,i={}){return __awaiter(this,void 0,void 0,(function*(){Utilities_1.Utilities.log.trace("GetContent.jobOutput called.");let n=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(JobsConstants_1.JobsConstants.RESOURCE,(0,CoreUtils_1.rsePathEncode)(e.jobname.toUpperCase()),e.jobid.toUpperCase(),JobsConstants_1.JobsConstants.RESOURCE_SPOOL_FILES,e.id.toString()));try{yield(0,CoreUtils_1.apiVersionCheck)(t,constants_1.RseApiVersionConstants.V1010),n=path_1.posix.join(n,JobsConstants_1.JobsConstants.RESOURCE_SPOOL_CONTENT_RAW);const e=[];e.push((0,CoreUtils_1.setRestCommandFullHeaders)(t)),e.push({Accept:"application/octet-stream"}),e.push({"Content-Type":"text/html"});return{success:!0,commandResponse:null,apiResponse:yield utilities_1.StreamContent.streamDownload(t,n,s,e,i)}}catch(e){const i=null==e?void 0:e.message;if(i.includes(constants_1.ZosApiMessages.notSupported100.message)||i.includes(constants_1.ZosApiMessages.notSupported.message))return yield this.jobOutputOldApi(t,n,s);throw Utilities_1.Utilities.logError(e),e}}))}static jobOutputOldApi(t,e,s){return __awaiter(this,void 0,void 0,(function*(){e=path_1.posix.join(e,JobsConstants_1.JobsConstants.RESOURCE_SPOOL_CONTENT);const i=(0,CoreUtils_1.setHeaders)(t),n=yield rest_1.RseRestClient.getExpectJSON(t,e,i);return fs.writeFile(s,Buffer.from(n.content),(t=>{if(t)throw Utilities_1.Utilities.logError(t),t})),{success:!0,commandResponse:null,apiResponse:n}}))}}exports.GetContent=GetContent;