/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,n){void 0===n&&(n=s);var o=Object.getOwnPropertyDescriptor(t,s);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[s]}}),Object.defineProperty(e,n,o)}:function(e,t,s,n){void 0===n&&(n=s),e[n]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,n){return new(s||(s=Promise))((function(o,i){function a(e){try{l(n.next(e))}catch(e){i(e)}}function r(e){try{l(n.throw(e))}catch(e){i(e)}}function l(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(a,r)}l((n=n.apply(e,t||[])).next())}))},__importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.IssueCommand=void 0;const imperative_1=require("@zowe/imperative"),constants_1=require("../../constants"),rest_1=require("../../rest"),CoreUtils_1=require("../../utils/CoreUtils"),path=__importStar(require("path")),https_1=__importDefault(require("https"));class IssueCommand{static tsoCommand(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("IssueCommands.tsoCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),s&&(yield(0,CoreUtils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V108));try{let n=null;const o=t.toUpperCase();let i=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.TSO));i+=encodeURIComponent(o),this.log.debug(`Endpoint: ${i}`);const a=(0,CoreUtils_1.setHeaders)(e);let r;return s&&a.push({"shell-id":s}),r=yield rest_1.RseRestClient.putExpectJSON(e,i,a,null),void 0===r.output?(r=yield rest_1.RseRestClient.putExpectJSON(e,i,a,void 0),n=void 0===r.output?void 0:r.output.toString()):n=r.output.toString(),{success:!0,commandResponse:null,apiResponse:n}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static unixShellCommand(e,t,s,n,o){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("IssueCommands.unixShellCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosFilesMessages.missingUSSDirectoryName.message);const i="___exitcode:",a=n?`&environmentVariables=${encodeURIComponent(n)}`:"",r=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.SHELL_COMMAND)),{hostname:l,port:c,basePath:u,rejectUnauthorized:d}=e.ISession;this.log.debug(`unixShellCommand is calling the following Endpoint: ${r}`);const p={hostname:l,port:c,rejectUnauthorized:d,path:`/${u}${r}?path=${encodeURIComponent(s)}&invocation=${encodeURIComponent(t+`;echo ${i}$?`)}${a}`,method:"PUT",headers:Object.assign(Object.assign({},(0,CoreUtils_1.setRestCommandFullHeaders)(e)),{Connection:"keep-alive",accept:"text/plain"})};return new Promise(((e,t)=>{https_1.default.request(p,(s=>{let n="",a=0;s.on("data",(e=>{const t=String(Buffer.from(e));let r=-1;(r=t.indexOf(i))>-1&&(a=parseInt(t.substring(r+12,t.indexOf("\n",r)))),r<0?(n+=t,(null==s?void 0:s.statusCode)>=200&&(null==s?void 0:s.statusCode)<300&&o(t)):(n+=t.substring(0,r),(null==s?void 0:s.statusCode)>=200&&(null==s?void 0:s.statusCode)<300&&o(t.substring(0,r)))})),s.on("end",(()=>{if((null==s?void 0:s.statusCode)>=200&&(null==s?void 0:s.statusCode)<300)e({success:!0,commandResponse:null,apiResponse:{output:n,"exit code":a}});else{const e=JSON.parse(n);t(new imperative_1.ImperativeError({msg:`Zowe REST Operations API Error:\nmessage: ${e.message}\nstatus: ${e.status}`}))}}))})).end()}))}))}static unixLongRunningCommand(e,t,s,n){this.log.trace("IssueCommands.unixLongRunningCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosFilesMessages.missingUSSDirectoryName.message);const o=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.SHELL_COMMAND)),{hostname:i,port:a,basePath:r,rejectUnauthorized:l}=e.ISession;this.log.debug(`unixLongRunningCommand is calling the following Endpoint: ${o}`);const c={hostname:i,port:a,rejectUnauthorized:l,path:encodeURI(`/${r}${o}?path=${s}&invocation=${t}`),method:"PUT",headers:Object.assign(Object.assign({},(0,CoreUtils_1.setRestCommandFullHeaders)(e)),{Connection:"keep-alive",accept:"text/plain"})};return https_1.default.request(c,n)}static unixCommand(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("IssueCommands.unixCommand called"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosFilesMessages.missingUSSDirectoryName.message);try{const n=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.UNIX)),o={invocation:t,path:s};this.log.debug(`Endpoint: ${n}`);const i=(0,CoreUtils_1.setHeaders)(e);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.postExpectJSON(e,n,i,o)}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static consoleCommand(e,t){return __awaiter(this,void 0,void 0,(function*(){imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingCommand.message);const s=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.CONSOLE)),n={invocation:t},o=(0,CoreUtils_1.setHeaders)(e);return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.postExpectJSON(e,s,o,n)}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.IssueCommand=IssueCommand;