/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(t,e,s,i){void 0===i&&(i=s);var n=Object.getOwnPropertyDescriptor(e,s);n&&!("get"in n?!e.__esModule:n.writable||n.configurable)||(n={enumerable:!0,get:function(){return e[s]}}),Object.defineProperty(t,i,n)}:function(t,e,s,i){void 0===i&&(i=s),t[i]=e[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(t,e){Object.defineProperty(t,"default",{enumerable:!0,value:e})}:function(t,e){t.default=e}),__importStar=this&&this.__importStar||function(t){if(t&&t.__esModule)return t;var e={};if(null!=t)for(var s in t)"default"!==s&&Object.prototype.hasOwnProperty.call(t,s)&&__createBinding(e,t,s);return __setModuleDefault(e,t),e},__awaiter=this&&this.__awaiter||function(t,e,s,i){return new(s||(s=Promise))((function(n,o){function a(t){try{l(i.next(t))}catch(t){o(t)}}function r(t){try{l(i.throw(t))}catch(t){o(t)}}function l(t){var e;t.done?n(t.value):(e=t.value,e instanceof s?e:new s((function(t){t(e)}))).then(a,r)}l((i=i.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.List=void 0;const zowe=__importStar(require("@zowe/cli")),path_1=require("path"),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),RseRestClient_1=require("../../rest/RseRestClient"),utils_1=require("../../utils"),constants_1=require("../../constants"),util=__importStar(require("util")),utilities_1=require("../utilities");class List{static fileList(t,e,s){return __awaiter(this,void 0,void 0,(function*(){utilities_1.Utilities.log.trace("List.fileList called.");try{const i=(0,utils_1.setHeaders)(t);s&&i.push({"Show-Additional-Attributes":"true"});const n=(0,utils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}?${ZosRestApi_constants_1.ZosRestApiConstants.PATH}=${(0,utils_1.rsePathEncode)(e)}`));utilities_1.Utilities.log.debug("Running REST call %s ",n);return{success:!0,commandResponse:null,apiResponse:yield RseRestClient_1.RseRestClient.getExpectJSON(t,n,i)}}catch(t){const e=t;throw utilities_1.Utilities.log.error(JSON.stringify(e)),e}}))}static dataSet(t,e,s={}){return __awaiter(this,void 0,void 0,(function*(){try{utilities_1.Utilities.log.trace("List.dataSet called.");const s=(0,utils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS,(0,utils_1.rsePathEncode)(e)));utilities_1.Utilities.log.debug("Running REST call %s ",s);const i=(0,utils_1.setHeaders)(t);return{success:!0,commandResponse:null,apiResponse:yield RseRestClient_1.RseRestClient.getExpectJSON(t,s,i)}}catch(t){const e=t;throw utilities_1.Utilities.log.error(JSON.stringify(e)),e}}))}static dataSetsMatchingPattern(t,e,s={}){return __awaiter(this,void 0,void 0,(function*(){zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingPatterns.message),e=e.filter(Boolean),zowe.imperative.ImperativeExpect.toNotBeEqual(e.length,0,constants_1.ZosFilesMessages.missingPatterns.message);const i=[];for(const n of e){let e;try{e=yield List.dataSet(t,n,{attributes:!0})}catch(i){e=yield List.dataSet(t,n);let o=0;const a=i=>(null!=s.task&&(s.task.percentComplete=Math.floor(utils_1.TaskProgress.ONE_HUNDRED_PERCENT*(o/e.apiResponse.items.length)),o++),List.dataSet(t,i.name,{attributes:!0}).then((t=>{Object.assign(i,t.apiResponse.items[0])}),(t=>{Object.assign(i,{error:t})}))),r=null==s.maxConcurrentRequests?1:s.maxConcurrentRequests;0===r?yield Promise.all(e.apiResponse.items.map(a)):yield(0,utils_1.asyncPool)(r,e.apiResponse.items,a)}i.push(...e.apiResponse.items)}if(0===i.length)return{success:!1,commandResponse:constants_1.ZosFilesMessages.noDataSetsMatchingPattern.message,apiResponse:[]};for(const e of s.excludePatterns||[]){(yield List.dataSet(t,e)).apiResponse.items.forEach((t=>{const e=i.findIndex((e=>e.name===t.name));-1!==e&&i.splice(e,1)}))}return 0===i.length?{success:!1,commandResponse:constants_1.ZosFilesMessages.noDataSetsInList.message,apiResponse:[]}:{success:!0,commandResponse:util.format(constants_1.ZosFilesMessages.dataSetsMatchedPattern.message,i.length),apiResponse:{items:i}}}))}static allMembers(t,e,s={}){return __awaiter(this,void 0,void 0,(function*(){if(utilities_1.Utilities.log.trace("List.allMembers called."),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingSession.message),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingDatasetName.message),e.includes("*"))throw utilities_1.Utilities.log.error(constants_1.RseApiMessages.noWildcards.message),new zowe.imperative.ImperativeError({msg:constants_1.RseApiMessages.noWildcards.message});const i=(0,utils_1.setHeaders)(t);let n,o=(0,utils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS));try{if(s.pattern&&!s.pattern.includes("*"))o=path_1.posix.join(o,(0,utils_1.rsePathEncode)(e),ZosRestApi_constants_1.ZosRestApiConstants.MEMBER_ATTRIBUTES),i.push({Members:s.pattern});else try{yield(0,utils_1.apiVersionCheck)(t,constants_1.RseApiVersionConstants.V113),o=path_1.posix.join(o,(0,utils_1.rsePathEncode)(e),ZosRestApi_constants_1.ZosRestApiConstants.MEMBER_ATTRIBUTES),i.push({Members:s.pattern||"*"})}catch(i){yield(0,utils_1.apiVersionCheck)(t,constants_1.RseApiVersionConstants.V101),o=path_1.posix.join(o,`/search/PDSMembers?filter=${encodeURIComponent(e)}&memberPattern=${encodeURIComponent(s.pattern||"*")}`)}return utilities_1.Utilities.log.debug(`Running REST call ${o}`),n=yield RseRestClient_1.RseRestClient.getExpectJSON(t,o,i),{success:!0,commandResponse:null,apiResponse:n}}catch(t){const e=t;throw utilities_1.Utilities.log.error(String(e)),e}}))}}exports.List=List;