/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(t,e,s,i){return new(s||(s=Promise))((function(n,o){function a(t){try{l(i.next(t))}catch(t){o(t)}}function r(t){try{l(i.throw(t))}catch(t){o(t)}}function l(t){var e;t.done?n(t.value):(e=t.value,e instanceof s?e:new s((function(t){t(e)}))).then(a,r)}l((i=i.apply(t,e||[])).next())}))},__importDefault=this&&this.__importDefault||function(t){return t&&t.__esModule?t:{default:t}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ClassificationScan=void 0;const path_1=require("path"),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),RseRestClient_1=require("../../rest/RseRestClient"),utilities_1=require("../utilities"),CoreUtils_1=require("../../utils/CoreUtils"),utils_1=require("../../utils"),https_1=__importDefault(require("https")),constants_1=require("../../constants"),imperative_1=require("@zowe/imperative");class ClassificationScan{static scanResource(t,e,s){return __awaiter(this,void 0,void 0,(function*(){utilities_1.Utilities.log.trace("Scan resource called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,"Required session must be defined"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingUSSOrDatasetFileName.message);try{const i=(0,utils_1.setHeaders)(t);let n=e;e.startsWith("/")&&(n=(0,utils_1.rsePathEncode)(e)),s&&i.push({"Host-Encoding":s});const o=(0,utils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.SCANRESOURCE}?${ZosRestApi_constants_1.ZosRestApiConstants.PATH}=${n}`));utilities_1.Utilities.log.debug("Running REST call %s ",o);return{success:!0,commandResponse:null,apiResponse:yield RseRestClient_1.RseRestClient.getExpectJSON(t,o,i)}}catch(t){const e=t;throw utilities_1.Utilities.log.error(JSON.stringify(e)),e}}))}static scanContent(t,e){return __awaiter(this,void 0,void 0,(function*(){utilities_1.Utilities.log.trace("Scan content called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,"Required session must be defined"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingContent.message);try{const s={content:e},i=(0,utils_1.setHeaders)(t),n=(0,utils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.SCANCONTENT}`));utilities_1.Utilities.log.debug("Running REST call %s ",n);return{success:!0,commandResponse:null,apiResponse:yield RseRestClient_1.RseRestClient.postExpectJSON(t,n,i,s)}}catch(t){const e=t;throw utilities_1.Utilities.log.error(JSON.stringify(e)),e}}))}static scanContainer(t,e,s,i,n){return __awaiter(this,void 0,void 0,(function*(){utilities_1.Utilities.log.trace("Scan container called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,"Required session must be defined"),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingUSSOrDatasetName.message),yield(0,utils_1.apiVersionCheck)(t,constants_1.RseApiVersionConstants.V111);let o=e;e.startsWith("/")&&(o=(0,utils_1.rsePathEncode)(e));const a=(0,utils_1.endpointBuilder)(t,path_1.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.SCANCONTAINER));let r=Object.assign(Object.assign({},(0,CoreUtils_1.setRestCommandFullHeaders)(t)),{Connection:"keep-alive",accept:"application/json"});if(i){const t={"Host-Encoding":i};r=Object.assign({},r,t)}if(n){const t={"Filename-Filter":n};r=Object.assign({},r,t)}const{hostname:l,port:c,basePath:u,rejectUnauthorized:p}=t.ISession,_={hostname:l,port:c,rejectUnauthorized:p,path:encodeURI(`/${u}${a}?path=${o}`),method:"GET",headers:r};return utilities_1.Utilities.log.debug("Running REST call %s ",a),new Promise(((t,e)=>{https_1.default.request(_,(i=>{let n="";i.on("data",(t=>{n+=String(Buffer.from(t))})),i.on("end",(()=>{s(n);const o=JSON.parse(n);if(200===(null==i?void 0:i.statusCode))t({success:!0,commandResponse:null,apiResponse:o});else{const t=JSON.parse(n);e(new imperative_1.ImperativeError({msg:`Zowe REST Operations API Error:\nmessage: ${t.message}\nstatus: ${t.status}`}))}}))})).end()}))}))}}exports.ClassificationScan=ClassificationScan;