/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(t,e,o,i){return new(o||(o=Promise))((function(s,n){function a(t){try{l(i.next(t))}catch(t){n(t)}}function r(t){try{l(i.throw(t))}catch(t){n(t)}}function l(t){var e;t.done?s(t.value):(e=t.value,e instanceof o?e:new o((function(t){t(e)}))).then(a,r)}l((i=i.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.SubmitJobs=void 0;const RseRestClient_1=require("../../rest/RseRestClient"),imperative_1=require("@zowe/imperative"),JobsConstants_1=require("../../constants/JobsConstants"),JobsMessages_1=require("../../constants/JobsMessages"),list_1=require("../list"),DownloadJobs_1=require("../download/DownloadJobs"),MonitorJobs_1=require("./MonitorJobs"),CoreUtils_1=require("../../utils/CoreUtils"),path_1=require("path");class SubmitJobs{static submitJob(t,e){return this.log.trace("submitJob called with data set %s",e.jobDataSet),SubmitJobs.submitJobCommon(t,e)}static submitJobCommon(t,e){return __awaiter(this,void 0,void 0,(function*(){this.log.trace(`submitJobCommon called with parms ${JSON.stringify(e)}`),imperative_1.ImperativeExpect.keysToBeDefined(e,["jobDataSet"],"You must provide a data set containing JCL to submit in parms.jobDataSet"),this.log.debug(`Submitting a job located in the data set ${e.jobDataSet}`);const o=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(JobsConstants_1.JobsConstants.RESOURCE,JobsConstants_1.JobsConstants.SUBMIT_JOB_DATASET)),i={file:e.jobDataSet.toUpperCase()},s=(0,CoreUtils_1.setHeaders)(t,e);return yield RseRestClient_1.RseRestClient.postExpectJSON(t,o,s,i)}))}static submitJcl(t,e,o,i){return this.log.trace(`submitJcl called with jcl of length ${null==e?"no jcl!":e.length}. internalReaderRecfm ${o} internalReaderLrecl ${i}`),this.submitJclCommon(t,{jcl:e,internalReaderRecfm:o,internalReaderLrecl:i})}static submitJclString(t,e,o){return __awaiter(this,void 0,void 0,(function*(){imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,JobsMessages_1.ZosJobsMessages.missingJcl.message),imperative_1.ImperativeExpect.toNotBeEqual(e,"",JobsMessages_1.ZosJobsMessages.missingJcl.message);const i=yield this.submitJclCommon(t,{jcl:e,jclSymbols:o.jclSymbols});return this.checkSubmitOptions(t,o,i)}))}static submitJclCommon(t,e){return __awaiter(this,void 0,void 0,(function*(){this.log.trace(`submitJclCommon called with parms ${JSON.stringify(e)}`),imperative_1.ImperativeExpect.keysToBeDefined(e,["jcl"],"You must provide a JCL string to submit. The 'jcl' field of the provided parameters was undefined. "),this.log.debug(`Submitting JCL of length ${e.jcl.length}`);try{const o=(0,CoreUtils_1.endpointBuilder)(t,path_1.posix.join(JobsConstants_1.JobsConstants.RESOURCE,JobsConstants_1.JobsConstants.SUBMIT_JOB_JCL)),i={jcl:e.jcl},s=(0,CoreUtils_1.setHeaders)(t,e);return yield RseRestClient_1.RseRestClient.postExpectJSON(t,o,s,i)}catch(t){const e=t;throw this.log.error(e.toString()),t}}))}static submitJclNotify(t,e,o,i){return __awaiter(this,void 0,void 0,(function*(){return this.log.trace(`submitJclNotiy called with jcl of length ${null==e?"no jcl!":e.length}, internalReaderRecfm ${o}, internalReaderLrecl ${i}`),yield this.submitJclNotifyCommon(t,{jcl:e,internalReaderRecfm:o,internalReaderLrecl:i})}))}static submitJclNotifyCommon(t,e){return __awaiter(this,void 0,void 0,(function*(){this.log.trace(`submitJclNotifyCommon called with parms ${JSON.stringify(e)}`);const o=yield SubmitJobs.submitJclCommon(t,e);return this.submitNotifyCommon(t,o,e.status,e.watchDelay)}))}static submitJobNotify(t,e){return __awaiter(this,void 0,void 0,(function*(){return this.log.trace(`submitJobNotify called with data set ${e}`),yield this.submitJobNotifyCommon(t,{jobDataSet:e})}))}static submitJobNotifyCommon(t,e){return __awaiter(this,void 0,void 0,(function*(){this.log.trace(`submitJobNotifyCommon called with parms ${JSON.stringify(e)}`),imperative_1.ImperativeExpect.keysToBeDefined(e,["jobDataSet"],"You must provide a data set containing JCL to submit in parms.jobDataSet.");const o=yield SubmitJobs.submitJobCommon(t,e);return this.submitNotifyCommon(t,o,e.status,e.watchDelay)}))}static checkSubmitOptions(t,e,o){return __awaiter(this,void 0,void 0,(function*(){if(e.waitForActive)return yield MonitorJobs_1.MonitorJobs.waitForStatusCommon(t,{jobId:o.jobId,jobName:o.jobName,status:"ACTIVE"});if(e.viewAllSpoolContent||e.waitForOutput){null!=e.task&&(e.task.statusMessage=`Waiting for ${o.jobId} to enter OUTPUT`,e.task.percentComplete=imperative_1.TaskProgress.THIRTY_PERCENT);const i=yield MonitorJobs_1.MonitorJobs.waitForJobOutputStatus(t,o);if(!e.viewAllSpoolContent)return i;null!=e.task&&(e.task.statusMessage=`Retrieving spool content for ${i.jobId}`+(null==i.returnCode?"":", "+i.returnCode),e.task.percentComplete=imperative_1.TaskProgress.SEVENTY_PERCENT);const s=yield list_1.GetJobs.getSpoolFilesForJob(t,i),n=[];let a;for(a of s.apiResponse.items){a.jobId=o.jobId,a.jobName=o.jobName;const e=yield list_1.GetJobs.getSpoolContent(t,a);n.push({id:a.id,ddName:a.ddName,stepName:a["step name"],procName:a["proc step"],data:e})}return n}if(e.directory){null!=e.task&&(e.task.statusMessage=`Waiting for ${o.jobId} to enter OUTPUT`,e.task.percentComplete=imperative_1.TaskProgress.THIRTY_PERCENT);const i=yield MonitorJobs_1.MonitorJobs.waitForJobOutputStatus(t,o),s={jobid:i.jobId,jobname:i.jobName,outDir:e.directory};return e.extension&&(s.extension=imperative_1.IO.normalizeExtension(e.extension)),null!=e.task&&(e.task.statusMessage=`Downloading spool content for ${i.jobId}`+(null==i.returnCode?"":", "+i.returnCode),e.task.percentComplete=imperative_1.TaskProgress.SEVENTY_PERCENT),yield DownloadJobs_1.DownloadJobs.downloadAllSpoolContentCommon(t,s),i}return o}))}static submitNotifyCommon(t,e,o,i){return __awaiter(this,void 0,void 0,(function*(){return this.log.trace(`submitNotiyCommon called with job ${JSON.stringify(e)}, status ${o}, watchDelay ${i}`),imperative_1.ImperativeExpect.keysToBeDefined(e,["jobName","jobId"],"The job object you provide must contain both 'jobName' and 'jobId'."),this.log.debug(`Waiting to be notified of job completion from Monitor Jobs API for job ${e.jobName}(${e.jobId})`),yield MonitorJobs_1.MonitorJobs.waitForStatusCommon(t,{jobName:e.jobName,jobId:e.jobId,status:o,watchDelay:i})}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.SubmitJobs=SubmitJobs;