/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,s,i,t){void 0===t&&(t=i);var o=Object.getOwnPropertyDescriptor(s,i);o&&!("get"in o?!s.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return s[i]}}),Object.defineProperty(e,t,o)}:function(e,s,i,t){void 0===t&&(t=i),e[t]=s[i]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,s){Object.defineProperty(e,"default",{enumerable:!0,value:s})}:function(e,s){e.default=s}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var s={};if(null!=e)for(var i in e)"default"!==i&&Object.prototype.hasOwnProperty.call(e,i)&&__createBinding(s,e,i);return __setModuleDefault(s,e),s},__awaiter=this&&this.__awaiter||function(e,s,i,t){return new(i||(i=Promise))((function(o,a){function r(e){try{l(t.next(e))}catch(e){a(e)}}function n(e){try{l(t.throw(e))}catch(e){a(e)}}function l(e){var s;e.done?o(e.value):(s=e.value,s instanceof i?s:new i((function(e){e(s)}))).then(r,n)}l((t=t.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Upload=void 0;const zowe=__importStar(require("@zowe/cli")),fs=__importStar(require("fs")),path=__importStar(require("path")),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),rest_1=require("../../rest"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),Create_1=require("../create/Create"),ZosFilesUtils_1=require("../../utils/ZosFilesUtils"),list_1=require("../list"),CoreUtils_1=require("../../../api/utils/CoreUtils"),Utilities_1=require("../utilities/Utilities"),Tag_1=require("../utilities/doc/Tag"),api_1=require("../../../api"),check_1=require("../../../api/methods/check"),RseHeaders_1=require("../../doc/RseHeaders"),HeadApis_1=require("../head/HeadApis"),mime=__importStar(require("mrmime"));class Upload{static fileToDataset(e,s,i,t,o={},a){return __awaiter(this,void 0,void 0,(function*(){let r;return zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputFile.message),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(i,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(i,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),""===s?(Utilities_1.Utilities.log.info(`Creating member ${i.toUpperCase()}`),r=yield Create_1.Create.createMember(e,i,o)):(Utilities_1.Utilities.log.info(`Uploading file ${s} to ${i.toUpperCase()}`),yield(0,CoreUtils_1.readLocalFile)(s),r=yield this.pathToDataSet(e,s,i,t,o,a)),r}))}static dirToPds(e,s,i,t,o={},a){return __awaiter(this,void 0,void 0,(function*(){Utilities_1.Utilities.log.info(`Uploading directory ${s} to ${i}`),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(i,ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message),zowe.imperative.ImperativeExpect.toNotBeEqual(i,"",ZosFiles_messages_1.ZosFilesMessages.missingDatasetName.message);const r=new Promise(((e,i)=>{fs.lstat(s,((t,o)=>{null!=t||o.isFile()?null==t?(Utilities_1.Utilities.log.error(`${s}${ZosFiles_messages_1.ZosFilesMessages.pathIsNotDirectory.message}`),i(new zowe.imperative.ImperativeError({msg:`${s}${ZosFiles_messages_1.ZosFilesMessages.pathIsNotDirectory.message}`}))):(Utilities_1.Utilities.log.error(`${ZosFiles_messages_1.ZosFilesMessages.nodeJsFsError.message} ${JSON.stringify(t)}`),i(new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.nodeJsFsError.message,additionalDetails:JSON.stringify(t),causeErrors:t}))):e(!0)}))}));if(yield r,!zowe.imperative.IO.isDir(s))throw Utilities_1.Utilities.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDir.message});return yield this.pathToDataSet(e,s,i,t,o,a,!0)}))}static bufferToDataSet(e,s,i,t={}){var o,a;return __awaiter(this,void 0,void 0,(function*(){let r=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS));t.volume&&(r=path.posix.join(r,`-(${t.volume})`));let n=[];if(0===fs.statSync(s).size){const s={records:" "};r=path.posix.join(r,(0,CoreUtils_1.rsePathEncode)(i.toUpperCase()),ZosRestApi_constants_1.ZosRestApiConstants.CONTENT),n=RseHeaders_1.RseHeaders.setMvsHeaders(e,t);const o=yield rest_1.RseRestClient.putExpectStringAndEtag(e,r,s,n);return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.dataSetUploadedSuccessfully.message,apiResponse:o}}if(t.etag){const s=yield HeadApis_1.HeadApis.mvsFileHeaders(e,i,t);if(0!=t.etag.localeCompare(null===(o=s.apiResponse)||void 0===o?void 0:o.etag))throw Error("HTTP(S) status 409")}r=path.posix.join(r,(0,CoreUtils_1.rsePathEncode)(i.toUpperCase()),ZosRestApi_constants_1.ZosRestApiConstants.RAWCONTENT),n=RseHeaders_1.RseHeaders.setMvsHeaders(e,t,!0);const l=yield api_1.StreamContent.streamUpload(e,r,s,n,t),p=yield HeadApis_1.HeadApis.mvsFileHeaders(e,i,t);return l.etag=null===(a=p.apiResponse)||void 0===a?void 0:a.etag,{success:!0,commandResponse:null,apiResponse:l}}))}static pathToDataSet(e,s,i,t,o={},a,r){var n;return __awaiter(this,void 0,void 0,(function*(){if(Utilities_1.Utilities.log.info(`Uploading path ${s} to ${i}`),ZosFilesUtils_1.ZosFilesUtils.isDataSetNameContainMasking(i))throw Utilities_1.Utilities.log.error(ZosFiles_messages_1.ZosFilesMessages.unsupportedMaskingInDataSetName.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.unsupportedMaskingInDataSetName.message});const l=ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s);let p="";if(i.endsWith(")")){if(r)throw Utilities_1.Utilities.log.error(ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToDatasetMember.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToDatasetMember.message});p=i.substring(i.indexOf("(")).replace(/[()]/g,""),i=i.substring(0,i.indexOf("("))}const c=yield this.isDataSetExist(e,i,{attributes:!0});c||!p&&!r||(yield Create_1.Create.dataSet(e,3,i,{})),c||p||1!==l.length||r||(yield Create_1.Create.dataSet(e,4,i,{}));const d=yield list_1.List.dataSet(e,i,{attributes:!0,maxLength:1,start:i}),g=this.isPds(i,d,l),m=[],_=o.encoding,u=o.binary;let f="",h="";try{let s,r=0;for(const n of l){if(o.binary=u,o.encoding=_,f=n,h=i,g&&(h=0===p.length?`${h}(${ZosFilesUtils_1.ZosFilesUtils.generateMemberName(f)})`:`${h}(${p})`),o.binary)Utilities_1.Utilities.log.info("Used binary transfer from CLI binary tag."),o.encoding=void 0;else{let e;o.encoding&&(e=o.encoding.toString());const s=yield check_1.CheckMappings.encodingPrecedence(t.encoding,e,h,a);s&&"binary"===s?(o.binary=!0,o.encoding=void 0):(o.encoding=s,o.binary=void 0)}if(null!=o.task){const e=-15,s=f.slice(e);o.task.statusMessage="Uploading ..."+s,o.task.percentComplete=Math.floor(zowe.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(r/l.length)),r++}if(void 0===s)try{const s=yield this.bufferToDataSet(e,f,h,o);Utilities_1.Utilities.log.info(`Success Uploaded data From ${f} To ${h}`),m.push({success:s.success,from:f,to:h,etag:s.apiResponse.etag,encoding:o.encoding,binary:o.binary})}catch(e){if(String(e).includes(api_1.RseApiMessages.nonExistentMappingFile.message))throw e;Utilities_1.Utilities.log.error(`Failure Uploading data From ${f} To ${h}`),m.push({success:!1,from:f,to:h,error:e}),s=e}else m.push({success:void 0,from:f,to:h})}if(s)throw Utilities_1.Utilities.log.error(s),s;return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.dataSetUploadedSuccessfully.message,apiResponse:m}}catch(e){if(Utilities_1.Utilities.log.error(e),String(e).includes(api_1.RseApiMessages.nonExistentMappingFile.message))throw e;return{success:!1,commandResponse:null!==(n=null==e?void 0:e.message)&&void 0!==n?n:e,apiResponse:m}}}))}static fileToUSSFile(e,s,i,t){var o,a;return __awaiter(this,void 0,void 0,(function*(){if(Utilities_1.Utilities.log.info(`Uploading from ${s} to ${i}`),zowe.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,ZosFiles_messages_1.ZosFilesMessages.missingInputFile.message),!i||""===i)throw new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message});if(!fs.existsSync(s))throw new zowe.imperative.ImperativeError({msg:`no such file or directory, '${s}'`});try{let r=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES,(0,CoreUtils_1.rsePathEncode)(i)));(yield this.isFileExist(e,i))||(yield Create_1.Create.uss(e,i,"file"));const n=mime.lookup(s);if(n){if(!n.includes("text")&&!t.binary)throw new zowe.imperative.ImperativeError({msg:api_1.RseApiMessages.binaryTransferMissingTag.message})}const l=fs.statSync(s);let p,c=[];if(0===l.size){const o={content:""};let a;c=RseHeaders_1.RseHeaders.setUnixFileHeaders(e,t),a=t.returnEtag?yield rest_1.RseRestClient.putExpectStringAndEtag(e,r,o,c):yield rest_1.RseRestClient.putExpectJSON(e,r,c,o),p={success:!0,from:s,to:i,encoding:t.encoding,binary:t.binary,etag:null==a?void 0:a.etag}}else{if(t.etag){const s=yield HeadApis_1.HeadApis.unixFileHeader(e,i);if(0!=t.etag.localeCompare(null===(o=s.apiResponse)||void 0===o?void 0:o.etag))throw Error("HTTP(S) status 409")}r=path.posix.join(r,ZosRestApi_constants_1.ZosRestApiConstants.RAWCONTENT),c=RseHeaders_1.RseHeaders.setUnixFileHeaders(e,t,!0),yield api_1.StreamContent.streamUpload(e,r,s,c,t);const n=yield HeadApis_1.HeadApis.unixFileHeader(e,i);p={success:!0,from:s,to:i,encoding:t.encoding,binary:t.binary,etag:null===(a=n.apiResponse)||void 0===a?void 0:a.etag}}return t.encoding&&(yield this.tagUssFile(e,i,String(t.encoding))),{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussFileUploadedSuccessfully.message,apiResponse:p}}catch(e){const s=e;throw Utilities_1.Utilities.log.error(String(s)),e}}))}static tagUssFile(e,s,i){return __awaiter(this,void 0,void 0,(function*(){if(i){let t=[];t=(0,CoreUtils_1.setHeaders)(e);const o=`${(0,CoreUtils_1.endpointBuilder)(e,`${ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE}${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}`)}${(0,CoreUtils_1.rsePathEncode)(s)}${ZosRestApi_constants_1.ZosRestApiConstants.MARK_ENCODING}`;yield rest_1.RseRestClient.putExpectJSON(e,o,t,{encoding:i})}}))}static dirToUSSDir(e,s,i,t={}){return __awaiter(this,void 0,void 0,(function*(){if(Utilities_1.Utilities.log.info(`Uploading from ${s} to ${i}`),!s||""===s)throw new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message});if(!i||""===i)throw new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message});t.binary=null!=t.binary&&t.binary,t.recursive=null!=t.recursive&&t.recursive;const o=null==t.maxConcurrentRequests?1:t.maxConcurrentRequests;try{if(!zowe.imperative.IO.isDir(s))throw Utilities_1.Utilities.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message});(yield this.isDirectoryExist(e,i))||(yield Create_1.Create.uss(e,i,"directory"));const a=[];ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s,!1).forEach((e=>{let s=t.binary;t.filesMap&&t.filesMap.fileNames.indexOf(e)>-1&&(s=t.filesMap.binary),a.push({binary:s,fileName:e})}));let r=0;const n=o=>{null!=t.task&&(t.task.statusMessage="Uploading ..."+this.formatStringForDisplay(o.fileName),t.task.percentComplete=Math.floor(zowe.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(r/a.length)),r++);const n=path.normalize(path.join(s,o.fileName)),l=path.posix.join(i,o.fileName);return this.uploadFile(n,l,e,t)};0===o?yield Promise.all(a.map(n)):yield(0,CoreUtils_1.asyncPool)(o,a,n);const l={success:!0,from:s,to:i};return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussDirUploadedSuccessfully.message,apiResponse:l}}catch(e){const s=e;throw Utilities_1.Utilities.log.error(String(s)),e}}))}static isDataSetExist(e,s,i={}){return __awaiter(this,void 0,void 0,(function*(){const i=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS,(0,CoreUtils_1.rsePathEncode)(s))),t=(0,CoreUtils_1.setHeaders)(e);try{return""!==(yield rest_1.RseRestClient.getExpectJSON(e,i,t)).items.toString()}catch(e){if(e)return!0}}))}static isFileExist(e,s){return __awaiter(this,void 0,void 0,(function*(){let i=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}?${ZosRestApi_constants_1.ZosRestApiConstants.PATH}=`));i+=(0,CoreUtils_1.rsePathEncode)(s);const t=(0,CoreUtils_1.setHeaders)(e);try{return"FILE"===(yield rest_1.RseRestClient.getExpectJSON(e,i,t)).type}catch(e){if(e)return!1}}))}static isDirectoryExist(e,s){return __awaiter(this,void 0,void 0,(function*(){const i=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,`${ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES}?${ZosRestApi_constants_1.ZosRestApiConstants.PATH}=${(0,CoreUtils_1.rsePathEncode)(s)}`)),t=(0,CoreUtils_1.setHeaders)(e);try{return"DIRECTORY"===(yield rest_1.RseRestClient.getExpectJSON(e,i,t)).type}catch(e){if(e)return!1}}))}static dirToUSSDirRecursive(e,s,i,t={}){return __awaiter(this,void 0,void 0,(function*(){if(Utilities_1.Utilities.log.trace("Upload.dirToUSSDirRecursive called."),!s||""===s)throw new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message});if(!i||""===i)throw new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingUSSDirectoryName.message});t.binary=null!=t.binary&&t.binary;const o=null==t.maxConcurrentRequests?1:t.maxConcurrentRequests,a=[];let r=[];if(!zowe.imperative.IO.isDir(s))throw Utilities_1.Utilities.log.error(ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.missingInputDirectory.message});(yield this.isDirectoryExist(e,i))||(yield Create_1.Create.uss(e,i,"directory")),r=Upload.getDirs(s),t.attributes&&(r=r.filter((e=>t.attributes.fileShouldBeUploaded(e.fullPath))));if(ZosFilesUtils_1.ZosFilesUtils.getFileListFromPath(s,!1).forEach((e=>{let s=t.binary;t.filesMap&&t.filesMap.fileNames.indexOf(e)>-1&&(s=t.filesMap.binary),a.push({binary:s,fileName:e})})),r.length>0){const s=s=>__awaiter(this,void 0,void 0,(function*(){const t=path.posix.join(i,s.dirName);if(!(yield this.isDirectoryExist(e,t)))return Create_1.Create.uss(e,t,"directory")}));0===o?yield Promise.all(r.map(s)):yield(0,CoreUtils_1.asyncPool)(o,r,s)}for(const s of r)yield this.dirToUSSDirRecursive(e,s.fullPath,path.posix.join(i,s.dirName),t);if(a.length>0){let r=0;const n=o=>{null!=t.task&&(t.task.statusMessage="Uploading ..."+this.formatStringForDisplay(o.fileName),t.task.percentComplete=Math.floor(zowe.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(r/a.length)),r++);const n=path.normalize(path.join(s,o.fileName)),l=path.posix.join(i,o.fileName);return this.uploadFile(n,l,e,t)};0===o?yield Promise.all(a.map(n)):yield(0,CoreUtils_1.asyncPool)(o,a,n)}const n={success:!0,from:s,to:i};return{success:!0,commandResponse:ZosFiles_messages_1.ZosFilesMessages.ussDirUploadedSuccessfully.message,apiResponse:n}}))}static uploadFile(e,s,i,t){return __awaiter(this,void 0,void 0,(function*(){t.attributes?yield this.uploadFileAndTagBasedOnAttributes(e,s,i,t.attributes):(t.filesMap&&t.filesMap.fileNames.indexOf(path.basename(e))>-1&&(t.binary=t.filesMap.binary),yield this.fileToUSSFile(i,e,s,t))}))}static uploadFileAndTagBasedOnAttributes(e,s,i,t){return __awaiter(this,void 0,void 0,(function*(){const o=t.getLocalEncoding(e);if(t.fileShouldBeUploaded(e)){const a=t.getFileTransferMode(e)===zowe.TransferMode.BINARY;a?yield this.fileToUSSFile(i,e,s,{binary:a}):yield this.fileToUSSFile(i,e,s,{binary:a,encoding:o});const r=t.getRemoteEncoding(e);r===Tag_1.Tag.BINARY.valueOf()?yield Utilities_1.Utilities.chtag(i,s,Tag_1.Tag.BINARY):yield Utilities_1.Utilities.chtag(i,s,Tag_1.Tag.TEXT,r)}}))}static hasDirs(e){return 0!==fs.readdirSync(e).filter((s=>zowe.imperative.IO.isDir(path.normalize(path.join(e,s))))).length}static getDirs(e){const s=[];if(Upload.hasDirs(e)){const i=fs.readdirSync(e).filter((s=>zowe.imperative.IO.isDir(path.normalize(path.join(e,s)))));for(const t of i){const i=path.normalize(path.join(e,t));s.push({dirName:t,fullPath:i})}}return s}static isPds(e,s,i){let t=!1;if(null!=s.apiResponse&&null!==s.apiResponse.returnedRows&&null!=s.apiResponse.items){const o=0===s.apiResponse.returnedRows?-1:s.apiResponse.items.findIndex((s=>s.name.toUpperCase()===e.toUpperCase()));if(-1!==o){switch(s.apiResponse.items[o].dataSetOrganization){case"PO":case"PO-E":t=!0;break;default:if(i.length>1)throw Utilities_1.Utilities.log.error(ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToPhysicalSequentialDataSet.message),new zowe.imperative.ImperativeError({msg:ZosFiles_messages_1.ZosFilesMessages.uploadDirectoryToPhysicalSequentialDataSet.message})}}}return t}static formatStringForDisplay(e){const s=e.split(path.sep).splice(-1,1).toString().slice(-15);return""===s?"all files":s}}exports.Upload=Upload;