/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,i){void 0===i&&(i=s);var r=Object.getOwnPropertyDescriptor(t,s);r&&!("get"in r?!t.__esModule:r.writable||r.configurable)||(r={enumerable:!0,get:function(){return t[s]}}),Object.defineProperty(e,i,r)}:function(e,t,s,i){void 0===i&&(i=s),e[i]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,i){return new(s||(s=Promise))((function(r,n){function o(e){try{l(i.next(e))}catch(e){n(e)}}function a(e){try{l(i.throw(e))}catch(e){n(e)}}function l(e){var t;e.done?r(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(o,a)}l((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.StreamContent=void 0;const https=__importStar(require("https")),fs=__importStar(require("fs")),cli_1=require("@zowe/cli"),stream_1=require("stream"),Utilities_1=require("./Utilities");class StreamContent{static streamDownload(e,t,s,i,r){return __awaiter(this,void 0,void 0,(function*(){this.request=cli_1.imperative.HTTP_VERB.GET;const n=Utilities_1.Utilities.setRequestOptions(e,t,this.request,i);return yield new Promise(((e,t)=>{this.clientRequest=https.get(n,(i=>{this.clientResponse=i,cli_1.imperative.IO.createDirsSyncFromFilePath(s),i.on("data",(e=>{this.requestSuccess?(null==r?void 0:r.task)&&this.runTask(r.task,e):(this.prepareError(e),i.emit("error",this.requestError))})),(0,stream_1.pipeline)(i,fs.createWriteStream(s),(e=>{(null==r?void 0:r.task)&&this.completeTask(r.task),e&&t(e)})),this.clientRequest.on("close",(()=>{this.requestSuccess?e(this.responseValues):t(this.requestError)}))}))}))}))}static streamUpload(e,t,s,i,r){return __awaiter(this,void 0,void 0,(function*(){this.request=cli_1.imperative.HTTP_VERB.PUT;const n=Utilities_1.Utilities.setRequestOptions(e,t,this.request,i);return yield new Promise(((e,t)=>{try{const i=fs.createReadStream(s,{autoClose:!0});i.on("data",(e=>{(null==r?void 0:r.task)&&this.runTask(r.task,e,s)}));const o=e=>{this.clientResponse=e,e.on("data",(t=>{this.requestSuccess||(this.prepareError(t),e.emit("error",this.requestError))})),e.on("error",(e=>{this.clientRequest.emit("error",e)}))};this.clientRequest=https.request(n,o),(0,stream_1.pipeline)(i,this.clientRequest,(e=>{e?t(e):(null==r?void 0:r.task)&&this.completeTask(r.task)})),this.clientRequest.on("error",(e=>{t(e)})),this.clientRequest.on("close",(()=>{this.requestSuccess?e(this.responseValues):t(this.requestError)}))}catch(e){this.clientRequest.end(),t(e)}}))}))}static prepareError(e){var t,s;this.requestError=new cli_1.imperative.ImperativeError({msg:`Rest API failure with HTTP(S) status ${null===(t=this.clientResponse)||void 0===t?void 0:t.statusCode}. ${null===(s=JSON.parse(String(Buffer.from(e))))||void 0===s?void 0:s.message}`})}static runTask(e,t,s){var i;let r,n;this.request===cli_1.imperative.HTTP_VERB.GET?(n=Number(null===(i=this.clientResponse)||void 0===i?void 0:i.headers["content-length"]),r="Downloading"):(n=fs.statSync(s).size,r="Uploading"),this.totalBytes+=t.byteLength,n?(e.percentComplete=Math.floor(cli_1.imperative.TaskProgress.ONE_HUNDRED_PERCENT*(this.totalBytes/n)),e.statusMessage=`${r} ${this.totalBytes} of ${n} B`):(e.statusMessage=`${r} ${this.totalBytes} of ? B`,e.percentComplete<cli_1.imperative.TaskProgress.NINETY_PERCENT&&e.percentComplete++)}static completeTask(e){e.percentComplete=cli_1.imperative.TaskProgress.ONE_HUNDRED_PERCENT,e.stageName=cli_1.imperative.TaskStage.COMPLETE}static get requestSuccess(){var e,t;return(null===(e=this.clientResponse)||void 0===e?void 0:e.statusCode)>=cli_1.imperative.RestConstants.HTTP_STATUS_200&&(null===(t=this.clientResponse)||void 0===t?void 0:t.statusCode)<cli_1.imperative.RestConstants.HTTP_STATUS_300}static get responseValues(){var e,t,s,i,r;return{responseHeaders:null===(e=this.clientResponse)||void 0===e?void 0:e.headers,etag:null===(s=null===(t=this.clientResponse)||void 0===t?void 0:t.headers)||void 0===s?void 0:s.etag,statusCode:null===(i=this.clientResponse)||void 0===i?void 0:i.statusCode,statusMessage:null===(r=this.clientResponse)||void 0===r?void 0:r.statusMessage}}}exports.StreamContent=StreamContent,StreamContent.totalBytes=0;