/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,i){void 0===i&&(i=s);var o=Object.getOwnPropertyDescriptor(t,s);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[s]}}),Object.defineProperty(e,i,o)}:function(e,t,s,i){void 0===i&&(i=s),e[i]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,i){return new(s||(s=Promise))((function(o,a){function r(e){try{l(i.next(e))}catch(e){a(e)}}function n(e){try{l(i.throw(e))}catch(e){a(e)}}function l(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(r,n)}l((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Utilities=void 0;const cli_1=require("@zowe/cli"),Tag_1=require("./doc/Tag"),ZosFiles_messages_1=require("../../constants/ZosFiles.messages"),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),rest_1=require("../../rest"),get_1=require("../get"),path=__importStar(require("path")),CoreUtils_1=require("../../utils/CoreUtils"),constants_1=require("../../constants");class Utilities{static putUSSPayload(e,t,s){return __awaiter(this,void 0,void 0,(function*(){cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),cli_1.imperative.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosApiMessages.missingPayload.message),cli_1.imperative.ImperativeExpect.toNotBeEqual(s,{},constants_1.ZosApiMessages.missingPayload.message),(t=path.posix.normalize(t)).startsWith("/")&&(t=t.slice(1));const i=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES,(0,CoreUtils_1.rsePathEncode)(t))),o=JSON.stringify(s).length.toString(),a=(0,CoreUtils_1.setHeaders)(e);o&&a.push({[cli_1.imperative.Headers.CONTENT_LENGTH]:o});return yield rest_1.RseRestClient.putExpectBuffer(e,i,a,s)}))}static postUSSPayload(e,t,s){return __awaiter(this,void 0,void 0,(function*(){cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),cli_1.imperative.ImperativeExpect.toNotBeEqual(t,"",ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosApiMessages.missingPayload.message),cli_1.imperative.ImperativeExpect.toNotBeEqual(s,{},constants_1.ZosApiMessages.missingPayload.message);let i=(0,CoreUtils_1.endpointBuilder)(e,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES,s.from,s.request));t=path.posix.normalize(t),"copy"===s.request&&(i+="?destination="+t),i=encodeURI(i);const o=(0,CoreUtils_1.setHeaders)(e),a=JSON.stringify(t).length.toString();return a&&o.push({[cli_1.imperative.Headers.CONTENT_LENGTH]:a}),yield rest_1.RseRestClient.postExpectBuffer(e,i,o)}))}static chtag(e,t,s,i){return __awaiter(this,void 0,void 0,(function*(){cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,ZosFiles_messages_1.ZosFilesMessages.missingUSSFileName.message),s===Tag_1.Tag.BINARY&&cli_1.imperative.ImperativeExpect.toBeEqual(i,void 0,"A codeset cannot be specified for a binary file.");const o={request:"chtag",action:"set",type:s.valueOf()};return i&&(o.codeset=i),yield Utilities.putUSSPayload(e,t,o),{success:!0,commandResponse:"File tagged successfully."}}))}static isFileTagBinOrAscii(e,t){return __awaiter(this,void 0,void 0,(function*(){return(yield get_1.Get.getFileTag(e,t)).apiResponse.encoding.indexOf("b ")>-1==!0}))}static logError(e){const t=e;this.log.error(t.toString())}static get log(){return cli_1.imperative.Logger.getAppLogger()}static setRequestOptions(e,t,s,i){var o;const a={headers:{},hostname:e.ISession.hostname,method:s,path:path.posix.join(path.posix.sep,String(null===(o=null==e?void 0:e.ISession)||void 0===o?void 0:o.basePath).trim(),t.trim()),port:e.ISession.port,rejectUnauthorized:e.ISession.rejectUnauthorized};return this.setHttpsHeaders(i,a)}static setHttpsHeaders(e,t){return e&&e.length>0&&e.forEach((e=>{Object.keys(e).forEach((s=>{t.headers[s]=e[s]}))})),t.timeout=3e3,t}}exports.Utilities=Utilities;