/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,i){void 0===i&&(i=s);var o=Object.getOwnPropertyDescriptor(t,s);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[s]}}),Object.defineProperty(e,i,o)}:function(e,t,s,i){void 0===i&&(i=s),e[i]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,i){return new(s||(s=Promise))((function(o,r){function n(e){try{u(i.next(e))}catch(e){r(e)}}function a(e){try{u(i.throw(e))}catch(e){r(e)}}function u(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(n,a)}u((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.RseRestClassificationScanApi=exports.RseRestCommandApi=exports.RseRestJesApi=exports.RseRestMvsApi=exports.RseRestUssApi=exports.RseRestApiCommon=exports.RseTokenAutoRefreshTimer=void 0;const path=__importStar(require("path")),rse=__importStar(require("..")),zowe=__importStar(require("@zowe/cli")),CheckMappings_1=require("../methods/check/CheckMappings"),imperative_1=require("@zowe/imperative"),CoreUtils_1=require("../utils/CoreUtils"),Logout_1=require("../methods/auth/logout/Logout");class RseTokenAutoRefreshTimer{static getAutoRefreshTimerFor(e){return RseTokenAutoRefreshTimer._autoRefreshTimers.get(e)}static removeAutoRefreshTimerFor(e){const t=this.getAutoRefreshTimerFor(e);return!!t&&(clearTimeout(t),t.unref(),RseTokenAutoRefreshTimer._autoRefreshTimers.delete(e),!0)}static putAutoRefreshTimer(e,t){const s=this.getAutoRefreshTimerFor(e);s&&(clearTimeout(s),s.unref(),RseTokenAutoRefreshTimer._autoRefreshTimers.delete(e)),RseTokenAutoRefreshTimer._autoRefreshTimers.set(e,t)}}exports.RseTokenAutoRefreshTimer=RseTokenAutoRefreshTimer,RseTokenAutoRefreshTimer._autoRefreshTimers=new Map;class RseRestApiCommon{static getProfileTypeName(){return"rse"}constructor(e){this.profile=e}getProfileTypeName(){return RseRestUssApi.getProfileTypeName()}getSessionFromCommandArgument(e){return rse.RseRestSession.createBasicRestRestSessionFromArguments(e)}getSession(e){if(!this.session)if(this.profile.profile.tokenValue){if((0,CoreUtils_1.isTokenDead)(this.profile.profile.tokenExpiration))throw this.profile.profile.tokenValue=void 0,this.profile.profile.tokenExpiration=void 0,Logout_1.AuthLogout.updateProfileFile(this.profile.name,this.profile.profile),new zowe.imperative.ImperativeError({msg:rse.ZosApiMessages.jwtTokenExpired.message});{const e=this.profile,t={$0:"zowe",_:[""],host:e.profile.host,port:e.profile.port,basePath:e.profile.basePath,rejectUnauthorized:e.profile.rejectUnauthorized,tokenType:e.profile.tokenType,tokenValue:e.profile.tokenValue};this.session=this.getSessionFromCommandArgument(t)}}else{const t=e||this.profile,s={$0:"zowe",_:[""],host:t.profile.host,port:t.profile.port,basePath:t.profile.basePath,rejectUnauthorized:t.profile.rejectUnauthorized,user:t.profile.user,password:t.profile.password};this.session=this.getSessionFromCommandArgument(s)}return this.session}getStatus(e,t){return __awaiter(this,void 0,void 0,(function*(){let s;if("rse"===t){const t=rse.RseRestSession.createBasicRestSession(e.profile);s=(yield rse.CheckStatus.getRseStatus(t))?"active":"inactive"}else s="unverified";return s}))}getTokenTypeName(){var e,t,s;return(null===(s=null===(t=null===(e=this.profile)||void 0===e?void 0:e.profile)||void 0===t?void 0:t.basePath)||void 0===s?void 0:s.includes("ibmrse"))?imperative_1.SessConstants.TOKEN_TYPE_APIML:imperative_1.SessConstants.TOKEN_TYPE_JWT}login(e){var t,s,i;return __awaiter(this,void 0,void 0,(function*(){let o,r;return(null===(i=null===(s=null===(t=this.profile)||void 0===t?void 0:t.profile)||void 0===s?void 0:s.basePath)||void 0===i?void 0:i.includes("ibmrse"))?o=yield zowe.Login.apimlLogin(e):(r=yield rse.AuthLogin.getToken(e,this.profile.name,this.profile.profile,!0),o=r.ISession.tokenValue),o}))}logout(e){var t,s,i;return __awaiter(this,void 0,void 0,(function*(){return(null===(i=null===(s=null===(t=this.profile)||void 0===t?void 0:t.profile)||void 0===s?void 0:s.basePath)||void 0===i?void 0:i.includes("ibmrse"))?(e.ISession.basePath="",yield zowe.Logout.apimlLogout(e)):yield rse.AuthLogout.expireToken(e,this.profile.name,this.profile.profile)}))}}exports.RseRestApiCommon=RseRestApiCommon;class RseRestUssApi extends RseRestApiCommon{static registerApi(e){e.registerUssApi(new RseRestUssApi)}fileList(e){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.List.fileList(this.getSession(),e,!0),s={success:!1,commandResponse:"",apiResponse:{items:[]}};return t.success&&(s.success=!0,s.commandResponse=t.commandResponse,t.apiResponse&&t.apiResponse.children&&(s.apiResponse.items=t.apiResponse.children.map((e=>{var t,s,i;return{name:e.name,size:e.size,mtime:e.lastModified,mode:null!==(t=e.permissionsSymbolic)&&void 0!==t?t:"DIRECTORY"===e.type?"d?????????":"-?????????",group:null!==(s=e.group)&&void 0!==s?s:void 0,user:null!==(i=e.fileOwner)&&void 0!==i?i:void 0}})))),s}))}isFileTagBinOrAscii(e){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Utilities.isFileTagBinOrAscii(this.getSession(),e)}))}getContents(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Download.ussFile(this.getSession(),e,t)}))}putContents(e,t,s,i,o,r){return __awaiter(this,void 0,void 0,(function*(){return yield this.putContent(e,t,{binary:s,encoding:i,etag:o,returnEtag:r})}))}putContent(e,t,s){return __awaiter(this,void 0,void 0,(function*(){try{return yield rse.Upload.fileToUSSFile(this.getSession(),e,t,s)}catch(e){if(e&&e.toString().includes("HTTP(S) status 409"))throw new Error("Rest API failure with HTTP(S) status 412 Precondition Failed");throw e}}))}uploadDirectory(e,t,s){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Upload.dirToUSSDirRecursive(this.getSession(),e,t,s)}))}create(e,t,s){return __awaiter(this,void 0,void 0,(function*(){s=null!=s?s:rse.CreateDefaults.USS.CREATE.permissions;return yield rse.Create.uss(this.getSession(),e,t,s)}))}delete(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Delete.ussFile(this.getSession(),e,t)}))}rename(e,t){return __awaiter(this,void 0,void 0,(function*(){const s=path.basename(t),i=path.dirname(e);try{yield this.fileList(path.join(i,s))}catch(t){return rse.Rename.uss(this.getSession(),e,s)}throw new Error("Cannot rename as name is already in use.")}))}copy(e,t){return rse.Utilities.postUSSPayload(this.getSession(),e,Object.assign(Object.assign({},null!=t?t:{}),{request:"copy"}))}updateAttributes(e,t){return rse.ChangeProperties.changeProperties(this.getSession(),e,{owner:t.owner,group:t.group,permissions:t.perms,tag:null==t?void 0:t.tag})}getTag(e){return __awaiter(this,void 0,void 0,(function*(){return(yield rse.Get.getFileTag(this.getSession(),e)).apiResponse.encoding}))}}exports.RseRestUssApi=RseRestUssApi;class RseRestMvsApi extends RseRestApiCommon{static registerApi(e){e.registerMvsApi(new RseRestMvsApi)}static registerMappingsFile(e){this.mappingsFilePath=e}static getMappingsFile(){return this.mappingsFilePath}static clearMappingsFile(){this.mappingsFilePath=void 0}dataSet(e,t){return __awaiter(this,void 0,void 0,(function*(){const s=yield rse.List.dataSet(this.getSession(),e,t);return rse.translateAttributes(s)}))}allMembers(e,t){return __awaiter(this,void 0,void 0,(function*(){const s=yield rse.List.allMembers(this.getSession(),e,t);return rse.translateMemberAttributes(s)}))}getContents(e,t,s){return __awaiter(this,void 0,void 0,(function*(){const i=s||this.findMappingsFile(),o=yield rse.Download.dataSet(this.getSession(),e,this.profile.profile,t,i);if(!o.success)throw new Error(JSON.stringify(o.apiResponse));return o}))}putContents(e,t,s,i){return __awaiter(this,void 0,void 0,(function*(){const o=i||this.findMappingsFile(),r=yield rse.Upload.fileToDataset(this.getSession(),e,t,this.profile.profile,s,o);return r.success||(null==r?void 0:r.commandResponse.includes("HTTP(S) status 409"))&&(r.commandResponse=`Rest API failure with HTTP(S) status 412 Precondition Failed - ${r.commandResponse}`),r}))}findMappingsFile(){if(RseRestMvsApi.mappingsFilePath)return RseRestMvsApi.mappingsFilePath;if(CheckMappings_1.CheckMappings.mappingFileExist()){return CheckMappings_1.CheckMappings.getDefaultMappingsPath()}}createDataSet(e,t,s){return __awaiter(this,void 0,void 0,(function*(){const i={},o={success:!1,commandResponse:"",apiResponse:{}};if("0"===e.toString())throw new zowe.imperative.ImperativeError({msg:"Dataset Type chosen is not supported by RSE CLI Plugin. "});switch(i.dataSetOrganization=s.dsorg,i.primary=s.primary,i.secondary=s.secondary,i.directoryBlocks=s.dirblk,i.recordFormat=s.recfm,i.blockSize=s.blksize,i.recordLength=s.lrecl,i.dsnType=s.dsntype,s.alcunit){case"CYL":i.allocationUnit="CYLINDER";break;case"BLK":i.allocationUnit="BLOCK";break;case"TRK":i.allocationUnit="TRACK";break;default:throw new zowe.imperative.ImperativeError({msg:"Invalid create command 'allocationUnit' option: "+s.alcunit})}return o.apiResponse=yield rse.Create.dataSet(this.getSession(),e,t,i),o}))}createDataSetMember(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Create.createMember(this.getSession(),e.toUpperCase(),t)}))}deleteDataSet(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Delete.dataSet(this.getSession(),e,t)}))}copyDataSetMember({dsn:e,member:t},{dsn:s,member:i},o){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Copy.dataSet(this.getSession(),{dsn:e,member:t},{dsn:s,member:i})}))}allocateLikeDataSet(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Create.allocateLike(this.getSession(),e,t)}))}renameDataSet(e,t){return __awaiter(this,void 0,void 0,(function*(){return yield rse.Rename.dataSet(this.getSession(),e,t)}))}renameDataSetMember(e,t,s){return __awaiter(this,void 0,void 0,(function*(){const i=`${e}(${t})`;return yield rse.Rename.dataSet(this.getSession(),i,s)}))}hMigrateDataSet(e){return __awaiter(this,void 0,void 0,(function*(){return yield rse.HMigrate.dataSet(this.getSession(),e)}))}hRecallDataSet(e){return __awaiter(this,void 0,void 0,(function*(){return yield rse.HRecall.dataSet(this.getSession(),e)}))}dataSetsMatchingPattern(e,t){return __awaiter(this,void 0,void 0,(function*(){const s=yield rse.List.dataSetsMatchingPattern(this.getSession(),e,t);return rse.translateAttributes(s)}))}copyDataSet(e,t,s,i){return rse.Copy.dataSet(this.getSession(),{dsn:e},{dsn:t})}}exports.RseRestMvsApi=RseRestMvsApi;class RseRestJesApi extends RseRestApiCommon{static registerApi(e){e.registerJesApi(new RseRestJesApi)}getJobsByOwnerAndPrefix(e,t){return __awaiter(this,void 0,void 0,(function*(){const s={};s.owner=e,s.prefix=t;const i=yield rse.GetJobs.getJobsByOwnerAndPrefix(this.getSession(),s);return this.convertJobResponses(i)}))}getJobsByParameters(e={}){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.GetJobs.getJobsByParameters(this.getSession(),e);return this.convertJobResponses(t)}))}convertJobResponses(e){return e.apiResponse.items.map((e=>({jobid:e.jobId,jobname:e.jobName,owner:e.owner,retcode:e.returnCode,type:e.type,subsystem:e.subsystem,status:e.status,class:e.executionClass,"phase-name":e.phaseName})))}getJob(e){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.GetJobs.getJob(this.getSession(),e);return rse.translateJob(t)}))}getSpoolFiles(e,t){return __awaiter(this,void 0,void 0,(function*(){let s;return s=(yield rse.GetJobs.getSpoolFiles(this.getSession(),e,t)).apiResponse.items.map((s=>({id:s.id,ddname:s.ddName,procstep:s["proc step"],"record-count":s.recordCount,stepname:s["step name"],jobid:t,jobname:e}))),s}))}downloadSpoolContent(e){return __awaiter(this,void 0,void 0,(function*(){yield rse.DownloadJobs.downloadAllSpoolContentCommon(this.getSession(),e)}))}downloadSingleSpool(e){return __awaiter(this,void 0,void 0,(function*(){yield rse.DownloadJobs.downloadSpoolContentCommon(this.getSession(),e.jobFile.jobname,e.jobFile.jobid,e.extension,e.jobFile,e)}))}getSpoolContentById(e,t,s){return __awaiter(this,void 0,void 0,(function*(){return(yield rse.GetJobs.getSpoolContentById(this.getSession(),e,t,s)).apiResponse.content}))}getJclForJob(e){return __awaiter(this,void 0,void 0,(function*(){const t={jobId:e.jobid,jobName:e.jobname,owner:e.owner,returnCode:e.retcode,type:e.type,subsystem:e.subsystem,status:e.status,executionClass:e.class,phaseName:e["phase-name"]};return yield rse.GetJobs.getJclForJob(this.getSession(),t)}))}submitJcl(e,t,s){return __awaiter(this,void 0,void 0,(function*(){const i=yield rse.SubmitJobs.submitJcl(this.getSession(),e,t,s);return{jobid:i.jobId,jobname:i.jobName,owner:i.owner,retcode:i.returnCode,type:i.type,subsystem:i.subsystem,status:i.status,class:i.executionClass,"phase-name":i.phaseName,url:null,"files-url":null,"job-correlator":null,phase:null}}))}submitJob(e){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.SubmitJobs.submitJob(this.getSession(),{jobDataSet:e});return{jobid:t.jobId,jobname:t.jobName,owner:t.owner,retcode:t.returnCode,type:t.type,subsystem:t.subsystem,status:t.status,class:t.executionClass,"phase-name":t.phaseName,url:null,"files-url":null,"job-correlator":null,phase:null}}))}deleteJob(e,t){return __awaiter(this,void 0,void 0,(function*(){yield rse.DeleteJobs.deleteJob(this.getSession(),e,t)}))}deleteJobWithInfo(e,t){return rse.DeleteJobs.deleteJob(this.getSession(),e,t)}cancelJob(e){return __awaiter(this,void 0,void 0,(function*(){return(yield rse.CancelJobs.cancelJobForJob(this.getSession(),e,"2.0")).success}))}}exports.RseRestJesApi=RseRestJesApi;class RseRestCommandApi extends RseRestApiCommon{static registerApi(e){e.registerCommandApi(new RseRestCommandApi)}issueTsoCommand(e,t){return __awaiter(this,void 0,void 0,(function*(){const t=yield rse.IssueCommand.tsoCommand(this.getSession(),e);return{success:t.success,startResponse:void 0,startReady:void 0,stopResponse:void 0,zosmfResponse:void 0,commandResponse:t.apiResponse}}))}issueMvsCommand(e){return __awaiter(this,void 0,void 0,(function*(){return(yield rse.IssueCommand.consoleCommand(this.getSession(),e).catch((e=>{throw new zowe.imperative.ImperativeError({msg:"Not implemented yet for profile of type: rse"})}))).apiResponse}))}}exports.RseRestCommandApi=RseRestCommandApi;class RseRestClassificationScanApi extends RseRestApiCommon{static registerApi(e){e.registerCommandApi(new RseRestClassificationScanApi)}scanResource(e){return __awaiter(this,void 0,void 0,(function*(){return yield rse.ClassificationScan.scanResource(this.getSession(),e)}))}scanContent(e){return __awaiter(this,void 0,void 0,(function*(){return yield rse.ClassificationScan.scanContent(this.getSession(),e)}))}scanContainer(e,t,s,i){return __awaiter(this,void 0,void 0,(function*(){return yield rse.ClassificationScan.scanContainer(this.getSession(),e,t,s,i)}))}}exports.RseRestClassificationScanApi=RseRestClassificationScanApi;