/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,s,r){void 0===r&&(r=s);var o=Object.getOwnPropertyDescriptor(t,s);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[s]}}),Object.defineProperty(e,r,o)}:function(e,t,s,r){void 0===r&&(r=s),e[r]=t[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var s in e)"default"!==s&&Object.prototype.hasOwnProperty.call(e,s)&&__createBinding(t,e,s);return __setModuleDefault(t,e),t},__awaiter=this&&this.__awaiter||function(e,t,s,r){return new(s||(s=Promise))((function(o,n){function i(e){try{c(r.next(e))}catch(e){n(e)}}function a(e){try{c(r.throw(e))}catch(e){n(e)}}function c(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(i,a)}c((r=r.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.translateJob=exports.translateJobFile=exports.translateMemberAttributes=exports.translateAttributes=exports.getHttpsErrorMessage=exports.rsePathEncode=exports.endpointBuilder=exports.readLocalFile=exports.apiVersionCheck=exports.getUserHome=exports.setHeaders=exports.setRestCommandFullHeaders=exports.getAdditionalAttributes=exports.checkForJclSymbols=exports.calculateRemainingTime=exports.isTokenDead=exports.checkForLiveToken=exports.checkForToken=exports.asyncPool=exports.sleep=void 0;const path=__importStar(require("path")),fs=__importStar(require("fs")),imperative=__importStar(require("@zowe/imperative")),constants_1=require("../constants"),methods_1=require("../methods");function sleep(e=1e3){return new Promise((t=>setTimeout(t,e)))}function asyncPool(e,t,s){let r=0;const o=[],n=[],i=()=>{if(r===t.length)return Promise.resolve();const a=t[r++],c=Promise.resolve().then((()=>s(a,t)));o.push(c);const p=c.then((()=>n.splice(n.indexOf(p),1)));n.push(p);let u=Promise.resolve();return n.length>=e&&(u=Promise.race(n)),u.then((()=>i()))};return i().then((()=>Promise.all(o)))}function checkForToken(e){if(e.ISession.tokenValue)return{Authorization:e.ISession.tokenValue}}function checkForLiveToken(e,t){if(e.ISession.tokenValue){let s=!1;if(t){s=calculateRemainingTime(t)>0}else s=!0;return s?{Authorization:e.ISession.tokenValue}:null}return{}}function isTokenDead(e){if(e){return calculateRemainingTime(e)<=0}return!1}function calculateRemainingTime(e){return e-(new Date).getTime()}function checkForJclSymbols(e){if(e.jclSymbols){let t="",s=!1;return e.jclSymbols.replace(/=/g,":").split(" ").forEach(((e,r,o)=>{e.includes("'")||s?e.includes("'")&&s?(t+=e+",",s=!1):(t+=e,s=!0):o.length-1===r?t+=e:t+=e+","})),{"JCL-Symbols":t}}}function getAdditionalAttributes(){return{"Show-Additional-Attributes":"TRUE"}}function setRestCommandFullHeaders(e){const{user:t,base64EncodedAuth:s,password:r}=e.ISession;if(t&&r)return{Authorization:"Basic "+s};const o=checkForToken(e);return o||void 0}function setHeaders(e,t){const s=[];if(t){const e=checkForJclSymbols(t);e&&s.push(e)}if(e.ISession.user&&e.ISession.password)return s;const r=checkForToken(e);return r?(s.push(r),s):s}function getUserHome(){return process.env["win32"==process.platform?"USERPROFILE":"HOME"]}function apiVersionCheck(e,t){var s;return __awaiter(this,void 0,void 0,(function*(){const r=yield methods_1.CheckStatus.getRseStatus(e);if(null===(s=JSON.stringify(r))||void 0===s?void 0:s.includes("stdout"))throw imperative.Logger.getAppLogger().error(constants_1.ZosApiMessages.notSupported100.message),new Error(constants_1.ZosApiMessages.notSupported100.message);const o=JSON.parse(JSON.stringify(r)),n=null==o?void 0:o.rseapi_version.split(/\./g);for(let e=0;e<n.length;e++){if(+n[e]>t[e])return;if(+n[e]<t[e])throw imperative.Logger.getAppLogger().error(`${constants_1.ZosApiMessages.notSupported.message} ${o.rseapi_version}`),new Error(`${constants_1.ZosApiMessages.notSupported.message} ${o.rseapi_version}`)}}))}function readLocalFile(e){return __awaiter(this,void 0,void 0,(function*(){let t;const s=new Promise(((s,r)=>{fs.readFile(e,((e,o)=>{null===e&&o.length>=0?(s(!0),t=o.toString()):null===e?(imperative.Logger.getAppLogger().error(constants_1.ZosFilesMessages.missingInputFile.message),r(new imperative.ImperativeError({msg:constants_1.ZosFilesMessages.missingInputFile.message}))):(imperative.Logger.getAppLogger().error(`${constants_1.ZosFilesMessages.nodeJsFsError.message} ${JSON.stringify(e)}`),r(new imperative.ImperativeError({msg:constants_1.ZosFilesMessages.nodeJsFsError.message,additionalDetails:JSON.stringify(e),causeErrors:e})))}))}));return yield s,t}))}function endpointBuilder(e,t){return e.ISession.basePath.includes(constants_1.ZosRestApiConstants.RESOURCE)?t.replace(constants_1.ZosRestApiConstants.RESOURCE,""):t}function rsePathEncode(e){if(!e)return e;const t=path.posix.normalize(e);let s="";return t.split("/").forEach((e=>e?s=`${s}/${encodeURIComponent(e)}`:s)),s}function getHttpsErrorMessage(e){switch(e){case 400:return constants_1.ZosApiMessages.httpStatus400.message;case 401:return constants_1.ZosApiMessages.httpStatus401.message;case 403:return constants_1.ZosApiMessages.httpStatus403.message;case 404:return constants_1.ZosApiMessages.httpStatus404.message;case 500:return constants_1.ZosApiMessages.httpStatus500.message;case 505:return constants_1.ZosApiMessages.httpStatus505.message;default:return}}function translateAttributes(e){const t={success:!1,commandResponse:"",apiResponse:{items:[]}};return e.success&&(t.success=!0,t.commandResponse=e.commandResponse,e.apiResponse&&e.apiResponse.items&&(t.apiResponse.items=e.apiResponse.items.map((e=>({dsname:e.name,blksz:e.blockSize,dsntp:e.dsnType,dsorg:e.dataSetOrganization,extx:e.extents,lrecl:e.recordLength,recfm:e.recordFormat,spacu:e.allocationUnit,vol:e.volumeSerial,vols:e.volumeSerial,cdate:e.creationDate,rdate:e.referenceDate,migr:e.migrated?"YES":"NO",type:e.type}))))),t}function translateMemberAttributes(e){const t={success:!1,commandResponse:"",apiResponse:{items:[]}};if(e.success&&e.apiResponse&&(t.success=!0,t.commandResponse=e.commandResponse,e.apiResponse&&e.apiResponse.items&&e.apiResponse.items.length>0&&(t.apiResponse.items=e.apiResponse.items.map((e=>{let t=Object.assign({member:e.memberName},e);return delete t.memberName,t}))),e.apiResponse&&e.apiResponse.found&&e.apiResponse.found.length>0)){let s;s=e.apiResponse.found.map((e=>e.member));let r;r=[...new Set(s)].map((e=>({member:e}))),t.apiResponse.items=r}return t}function translateJobFile(e){return{jobid:e.jobId,jobname:e.jobName,"record-count":e.recordCount,ddname:e.ddName,stepname:e["step name"],procstep:e["proc step"],id:e.id}}function translateJob(e){return{jobid:e.jobId,jobname:e.jobName,owner:e.owner,retcode:e.returnCode,type:e.type,subsystem:e.subsystem,status:e.status,class:e.executionClass,"phase-name":e.phaseName,url:null,"files-url":null,"job-correlator":null,phase:null}}exports.sleep=sleep,exports.asyncPool=asyncPool,exports.checkForToken=checkForToken,exports.checkForLiveToken=checkForLiveToken,exports.isTokenDead=isTokenDead,exports.calculateRemainingTime=calculateRemainingTime,exports.checkForJclSymbols=checkForJclSymbols,exports.getAdditionalAttributes=getAdditionalAttributes,exports.setRestCommandFullHeaders=setRestCommandFullHeaders,exports.setHeaders=setHeaders,exports.getUserHome=getUserHome,exports.apiVersionCheck=apiVersionCheck,exports.readLocalFile=readLocalFile,exports.endpointBuilder=endpointBuilder,exports.rsePathEncode=rsePathEncode,exports.getHttpsErrorMessage=getHttpsErrorMessage,exports.translateAttributes=translateAttributes,exports.translateMemberAttributes=translateMemberAttributes,exports.translateJobFile=translateJobFile,exports.translateJob=translateJob;