/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,r,t){return new(r||(r=Promise))((function(i,o){function a(e){try{l(t.next(e))}catch(e){o(e)}}function n(e){try{l(t.throw(e))}catch(e){o(e)}}function l(e){var s;e.done?i(e.value):(s=e.value,s instanceof r?s:new r((function(e){e(s)}))).then(a,n)}l((t=t.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.RestBaseHandler=void 0;const imperative_1=require("@zowe/imperative"),RestSessionUtils_1=require("./RestSessionUtils"),auth_1=require("../api/methods/auth"),profiles_1=require("@zowe/zowe-explorer-api/lib/profiles"),ProfileUtils_1=require("../api/profiles/ProfileUtils");class RestBaseHandler{process(e){return __awaiter(this,void 0,void 0,(function*(){this.params=e;const s=this.params.profiles.get("rse",!1),r=yield ProfileUtils_1.ProfileUtils.getProfileInfo();r.usingTeamConfig?yield this.usingTeamConfig(r):yield this.usingYamlProfiles(s)}))}usingTeamConfig(e){return __awaiter(this,void 0,void 0,(function*(){const s={},r=[],t=RestSessionUtils_1.RestSessionUtils.createSessCfgFromArgs(this.params.arguments),i=yield imperative_1.ConnectionPropsForSessCfg.addPropsOrPrompt(t,this.params.arguments,{parms:this.params,doPrompting:!0}),o=new imperative_1.Session(i),a=e.getAllProfiles("rse"),n=e.getDefaultProfile("rse");this.params.arguments.rseProfile||(this.params.arguments.rseProfile=n.profName);for(const t of a){const i=e.mergeArgsForProfile(t);for(const o of i.knownArgs){let i;!0===o.secure?(i=yield e.loadSecureArg(o),s[o.argName]=i):(i=o.argValue,s[o.argName]=i);const a={message:"",name:t.profName,type:t.profType,profile:s,failNotFound:!1};r.push(a)}}let l;if(a.length>0)for(const e of r)this.params.arguments.rseProfile===e.name&&(l=e.profile);s.tokenValue&&(s.user||s.password)&&(o.ISession.user=void 0,o.ISession.password=void 0);const p=yield this.processWithSession(this.params,o,l);this.params.response.data.setObj(p)}))}usingYamlProfiles(e){return __awaiter(this,void 0,void 0,(function*(){this.params.arguments.basePath=e.basePath;let s,r;const t=new profiles_1.ProfilesCache(imperative_1.Logger.getAppLogger()).getCliProfileManager("base");try{r=yield t.load({loadDefault:!0})}catch(e){r=void 0}if(r&&(null==e?void 0:e.host)&&r.profile.host!==e.host&&r.profile.port!==e.port&&!e.tokenValue)s=RestSessionUtils_1.RestSessionUtils.createBasicRestSession(e),s=yield auth_1.AuthLogin.promptUserPass(s),this.params.arguments.user=s.ISession.user,this.params.arguments.password=s.ISession.password;else{e.tokenValue&&(e.user||e.password)&&(this.params.arguments.user=void 0,this.params.arguments.password=void 0);const r=RestSessionUtils_1.RestSessionUtils.createSessCfgFromArgs(this.params.arguments),t=yield imperative_1.ConnectionPropsForSessCfg.addPropsOrPrompt(r,this.params.arguments);s=new imperative_1.Session(t),s.ISession.tokenValue&&(s=yield ProfileUtils_1.ProfileUtils.checkProfileToken(s,this.params,e))}try{const r=yield this.processWithSession(this.params,s,e);this.params.response.progress.endBar(),this.params.response.data.setObj(r)}catch(s){const t=s;if(r&&r.profile.tokenValue&&e.host&&e.host===r.profile.host&&t.toString().includes("401")){throw`This operation requires authentication.\n\nRSE REST API Error:\nRest API failure with HTTP(S) status 401\n\nToken is not valid or expired for profile ${r.name} of type ${r.type}.\n\nFor CLI usage, see \`zowe auth login apiml --help\``}throw e.tokenValue&&t.toString().includes("401")?new Error("RSE API token is expired, run 'rse auth login' to obtain a new token."):t.message}}))}checkReturnCode(e){}}exports.RestBaseHandler=RestBaseHandler;